QGIS Application - Bug report #13567
QGIS crashes when selecting features from OpenFileGDB with weird geometry
2015-10-11 01:35 PM - Michael Kirk

Status: Closed

Priority: Normal

Assignee: Sandro Santilli

Category: Data Provider/OGR

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed/implemented
Crashes QGIS or corruptsdata: Copied to github as #: 21609
Description

Steps to reproduce:

Add vector layer, directory. Choose "OpenFileGDB" as type, and choose the GDB directory from this dataset:
https://drive.google.com/file/d/0BwxbgbvwGK_1ZzBTY3Fab0ISaEQ/view?usp=sharing
(excerpted from this blog post: http://www.roadsafegis.com/blog/city-of-los-angeles-geocoded-switrs-data-free-download/)

This data set is local to the city of LA, and most of the points fall within the shape of los angeles. But there is a cluster of points that are
very far away (Like on null island maybe?) | think these represent an incorrect geocode. To get some insight, | used the select features
tool, and when [ highlight the suspected bogus features, QGIS crashes. | have repeated this 3 out of 3 times.

Here is the crash report produced on Mac

Process: QGIS [3372]

Path: /Applications/QGIS.app/Contents/MacOS/QGIS
Identifier: 0rg.qgis.qgis2

Version: 2.10.1 (2.10.1[])

Code Type: X86-64 (Native)

Parent Process: ?77?[1]
Responsible: QGIS [3372]

User ID: XXX

Date/Time: 2015-10-11 13:27:10.493 -0700
OS Version: Mac OS X 10.11 (15A284)
Report Version: 11

Anonymous UUID:  xxxxxx

Sleep/Wake UUID:  xxxxxx

Time Awake Since Boot: 5300 seconds
Time Since Wake: 1600 seconds

System Integrity Protection: enabled
Crashed Thread: 0 Dispatch queue: com.apple.main-thread
Exception Type: EXC_BAD_ACCESS (SIGSEGV)

Exception Codes: =~ KERN_INVALID_ADDRESS at 0x00007fc7ef3855a0
Exception Note: EXC_CORPSE_NOTIFY
https://drive.google.com/file/d/0Bwxbq6vwGK_1ZzBTY3Fab0lSaE0/view?usp=sharing
http://www.roadsafegis.com/blog/city-of-los-angeles-geocoded-switrs-data-free-download/

VM Regions Near 0x7fc7ef3855a0:
MALLOC_SMALL 00007fc63a000000-00007fc63b000000 [ 16.0M] rw-/rwx SM=PRV
-->

STACK GUARD 00007fff598a7000-00007fff5d0a7000 [ 56.0M] ---/rwx SM=NUL stack guard for thread 0

Thread 0 Crashed:: Dispatch queue: com.apple.main-thread

0 libFileGDBAPI.dylib 0x000000011502424a StandardDatafile::GetShape(ScanContext&, |Geometry5*) + 58

1 libFileGDBAPI.dylib 0x0000000115024674 StandardDatafile::FindMatchingRow(ScanContext&) + 218

2 libFileGDBAPI.dylib 0x0000000115024e3e StandardDatafile::ReadNextRow(ScanContext&, FieldValue*, int*) + 102
3 libFileGDBAPI.dylib 0x000000011501a038 SqlSelectCommand::Next() + 86

4 libFileGDBAPI.dylib 0x0000000114{35e7a FileGDBAPI::EnumRows::Next(FileGDBAPI::Row&) + 46

5 ogr_FileGDB.dylib 0x0000000114f0254b FGdbBaseLayer::GetNextFeature() + 285

6 org.gdal.gdal 0x00000001051a2198 OGRMutexedLayer::GetNextFeature() + 56

7 org.gdal.gdal 0x0000000105170121 OGR_L_GetNextFeature + 17

8 libogrprovider.so 0x0000000114ed4acc QgsOgrFeaturelterator::fetchFeature(QgsFeature&) + 138

9 org.qgis.qgis2_core 0x00000001066523b7 QgsAbstractFeaturelterator::nextFeature(QgsFeature&) + 69

10 org.qgis.qgis2_core 0x0000000106794ab3 QgsVectorLayerFeaturelterator::fetchFeature(QgsFeature&) + 307

11 org.qgis.qgis2_core 0x00000001066523b7 QgsAbstractFeaturelterator::nextFeature(QgsFeature&) + 69

12 org.qgis.qgis2 0x0000000102502504 QgsMapToolSelectUtils::setSelectFeatures(QgsMapCanvas®,
QgsGeometry*, bool, bool, bool) + 705

13 org.qgis.qgis2 0x0000000102501379 QgsMapToolSelectFeatures::canvasReleaseEvent(QMouseEvent*) + 153
14 org.qgis.qgis2_gui 0x0000000106f48b7e QgsMapCanvas::mouseReleaseEvent(QMouseEvent*) + 194

15 QtGui 0x0000000107b5040b QWidget::event(QEvent*) + 2427

16 QtGui 0x0000000107ee640c QFrame::event(QEvent*) + 44

17 QtGui 0x0000000107f72bb7 QAbstractScrollArea::viewportEvent(QEvent*) + 23

18 QtGui 0x000000010811eeeb QGraphicsView::viewportEvent(QEvent*) + 123

19 QtGui 0x0000000107f74f40 QAbstractScrollAreaFilter::eventFilter(QObject*, QEvent*) + 48

20 QtCore 0x0000000107835137 QCoreApplicationPrivate::sendThroughObjectEventFilters(QObject*, QEvent™)
+ 151

21 QtGui 0x0000000107af8b3e QApplicationPrivate::notify_helper(QObject*, QEvent*) + 142

22 QtGui 0x0000000107afef10 QApplication::notify(QObject*, QEvent*) + 8752

23 org.qgis.qgis2_core 0x00000001065c5faf QgsApplication::notify(QObject*, QEvent*) + 93

24 QtCore 0x000000010783568c QCoreApplication::notifylnternal(QObject*, QEvent*) + 124

25 QtGui 0x0000000107b0029d QApplicationPrivate::sendMouseEvent(QWidget*, QMouseEvent*, QWidget*,
QWidget*, QWidget**, QPointer<QWidget>&, bool) + 333

26 QtGui 0x0000000107aac68b gt_mac_handleMouseEvent(NSEvent*, QEvent:: Type, Qt::MouseButton,
QWidget*, bool) + 763

27 com.apple.AppKit 0x00007fff90cae8bf -[NSWindow _handleMouseUpEvent:isDelayedEvent:] + 119

28 com.apple.AppKit 0x00007fff90caf559 -[NSWindow _reallySendEvent:isDelayedEvent:] + 212

29 com.apple.AppKit 0x00007fff906f4d31 -[NSWindow sendEvent:] + 517

30 QtGui 0x0000000107aa16f7 -[QCocoaWindow sendEvent:] + 87

31 com.apple.AppKit 0x00007fff90674ccb -[NSApplication sendEvent:] + 2540

32 QtGui 0x0000000107aa67d4 -[QNSApplication sendEvent:] + 84

33 com.apple.AppKit 0x00007fff904dbf3e -[NSApplication run] + 796

34 QtGui 0x0000000107ab1640
QEventDispatcherMac::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) + 1824

35 QtCore 0x00000001078345a4 QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) + 68
36 QtCore 0x0000000107834954 QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) + 324

37 QtCore 0x00000001078371cc QCoreApplication::exec() + 188

38 org.qgis.qgis2 0x000000010236408c main + 12072

39 org.qgis.qgis2 0x0000000102360c14 start + 52

Thread 1:: Dispatch queue: com.apple.libdispatch-manager
0 libsystem_kernel.dylib 0x00007fff94d190a2 kevent_qgos + 10

1 libdispatch.dylib 0x00007fff8a3d01ad _dispatch_mgr_invoke + 216
2 libdispatch.dylib 0x00007fff8a3cfe15 _dispatch_mgr_thread + 52
Thread 2:

0 libsystem_kernel.dylib 0x00007fff94d1878a __workq_kernreturn + 10

1 libsystem_pthread.dylib 0x00007fff9406d58¢ _pthread_wqthread + 1283
2 libsystem_pthread.dylib 0x00007fff9406b375 start_waqthread + 13

Thread 3:

0 libsystem_kernel.dylib 0x00007fff94d1878a __workq_kernreturn + 10

1 libsystem_pthread.dylib 0x00007fff9406d58¢ _pthread_wqthread + 1283
2 libsystem_pthread.dylib 0x00007fff9406b375 start_wqthread + 13

Thread 4:

0 libsystem_kernel.dylib 0x00007fff94d1878a __workq_kernreturn + 10

1 libsystem_pthread.dylib 0x00007fff9406d58¢ _pthread_wqthread + 1283
2 libsystem_pthread.dylib 0x00007fff9406b375 start_wqthread + 13

Thread 5:: com.apple.NSEventThread

0 libsystem_kernel.dylib 0x00007fff94d12c96 mach_msg_trap + 10

1 libsystem_kernel.dylib 0x00007fff94d120d7 mach_msg + 55

2 com.apple.CoreFoundation 0x00007fff958e4024 _ CFRunLoopServiceMachPort + 212

3 com.apple.CoreFoundation 0x00007fff958e34ec _ CFRunLoopRun + 1356

4 com.apple.CoreFoundation 0x00007fff958e2d38 CFRunLoopRunSpecific + 296

5 com.apple.AppKit 0x00007fff9063deed _NSEventThread + 149

6 libsystem_pthread.dylib 0x00007fff9406d9b1 _pthread_body + 131

7 libsystem_pthread.dylib 0x00007fff9406d92e _pthread_start + 168

8 libsystem_pthread.dylib 0x00007fff9406b385 thread_start + 13

Thread 6:

0 libsystem_kernel.dylib 0x00007fff94d17f5e __ psynch_cvwait + 10

1 libsystem_pthread.dylib 0x00007fff9406e73d _pthread_cond_wait + 767

2 QtWebKit 0x0000000103c1f765 WTF::TCMalloc_PageHeap::scavengerThread() + 117
3 QtWebKit 0x0000000103c1f9f9 WTF::TCMalloc_PageHeap::runScavengerThread(void*) + 9
4 libsystem_pthread.dylib 0x00007fff9406d9b1 _pthread_body + 131

5 libsystem_pthread.dylib 0x00007fff9406d92e _pthread_start + 168

6 libsystem_pthread.dylib 0x00007fff9406b385 thread_start + 13

Thread 7:: QThread

0 libsystem_kernel.dylib 0x00007fff94d18222 __ select + 10
1 QtCore 0x0000000107866dc4 qt_safe_select(int, fd_set*, fd_set*, fd_set*, timeval const*) + 388
2 QtCore 0x000000010786b164

QEventDispatcherUNIXPrivate::doSelect(QFlags<QEventLoop::ProcessEventsFlag>, timeval*) + 388
3 QtCore 0x000000010786b624
QEventDispatcherUNIX::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) + 308

4 QtCore 0x00000001078345a4 QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) + 68
5 QtCore 0x0000000107834954 QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) + 324

6 QtCore 0x0000000107718788 QThread::exec() + 312

7 QtCore 0x000000010771b3f4 QThreadPrivate::start(void*) + 356

8 libsystem_pthread.dylib 0x00007fff9406d9b1 _pthread_body + 131

9 libsystem_pthread.dylib 0x00007fff9406d92e _pthread_start + 168

10 libsystem_pthread.dylib 0x00007fff9406b385 thread_start + 13
Thread 8:: QProcessManager

0 libsystem_kernel.dylib 0x00007fff94d18222 __ select + 10

1 QtCore 0x0000000107808280 QProcessManager::run() + 96

2 QtCore 0x000000010771b3f4 QThreadPrivate::start(void*) + 356
3 libsystem_pthread.dylib 0x00007fff9406d9b1 _pthread_body + 131

4 libsystem_pthread.dylib 0x00007fff9406d92e _pthread_start + 168

5 libsystem_pthread.dylib 0x00007fff9406b385 thread_start + 13

Thread 9:: com.apple.CFSocket.private
0 libsystem_kernel.dylib 0x00007fff94d18222 __ select + 10

1 com.apple.CoreFoundation 0x00007fff9592129a _ CFSocketManager + 762
2 libsystem_pthread.dylib 0x00007fff9406d9b1 _pthread_body + 131

3 libsystem_pthread.dylib 0x00007fff9406d92e _pthread_start + 168

4 libsystem_pthread.dylib 0x00007fff9406b385 thread_start + 13

Thread 10:: Thread (pooled)

0 libsystem_kernel.dylib 0x00007fff94d17f5e __ psynch_cvwait + 10

1 libsystem_pthread.dylib 0x00007fff9406e73d _pthread_cond_wait + 767

2 QtCore 0x000000010771c410 QWaitCondition::wait(QMutex*, unsigned long) + 272
3 QtCore 0x000000010770e4d8 QThreadPoolThread::run() + 632

4 QtCore 0x000000010771b3f4 QThreadPrivate::start(void*) + 356

5 libsystem_pthread.dylib 0x00007fff9406d9b1 _pthread_body + 131

6 libsystem_pthread.dylib 0x00007fff9406d92e _pthread_start + 168

7 libsystem_pthread.dylib 0x00007fff9406b385 thread_start + 13

Thread 0 crashed with X86 Thread State (64-bit):

rax: Oxfffffffffiffffff rbx: 0x00007fc637322950 rcx: 0x0000000037320610 rdx: 0x0000000000000000

rdi: 0x00007fc6373fa830 rsi: 0x00007fc6371d9980 rbp: 0x00007fff5d8a4d60 rsp: 0x00007fff5d8a4ce0

r8: 0x00007fc635a82520 r9: 0x00007fc637397fe0 r10: 0x000000000000002¢ r11: 0x0000000000000202
r12: 0x0000000000040002 r13: 0x0000000000000000 r14: Oxffffffffffffffc8 r15: 0x0000000000040001

rip: 0x000000011502424a rfl: 0x0000000000010202 cr2: 0x00007fc7ef3855a0

Logical CPU: 0
Error Code:  0x00000004
Trap Number: 14

Binary Images:

0x102359000 - 0x102b72fe7 +org.qgis.qgis2 (2.10.1 - 2.10.1 []) <6753FCF1-F6D0-36B0-B66F-E810F8017A26>
/Applications/QGIS.app/Contents/MacOS/QGIS

0x102cf7000 - 0x102d97fff +libqwt.dylib (6.0.2) <97EDEF52-44AD-3EB3-8F65-2D7D7A53DF68>
/Applications/QGIS.app/Contents/MacOS/lib/libgwt.dylib

0x102de0000 - 0x102e17ff7 +QtSql (4.8.6) <51BC724E-E8E2-0F1C-FD2A-927B8C9CA75E>
/Applications/QGIS.app/Contents/Frameworks/QtSql.framework/Versions/4/QtSq

0x102e2f000 - 0x104416fff +QtWebKit (4.9.4) <99D6C846-B581-5F2D-39FD-37003F4070F5>
/Applications/QGIS.app/Contents/Frameworks/QtWebKit.framework/Versions/4/QtWebKit

0x104cfe000 - 0x105ec5fff +org.gdal.gdal (1.11.2 - GDAL/OGR 1.11.2-2)
<5D97BEF9-F80B-3BB5-8BE9-57B7F8BEF407> /Library/Frameworks/GDAL.framework/Versions/1.11/GDAL

0x1064b9000 - 0x106b9dfff +org.qgis.qgis2_core (2.10.1 - qgis_core 2.10.1)
<9CB8EE85-282D-3DD4-86AB-24A9B77DECB6>
/Applications/QGIS.app/Contents/Frameworks/qgis_core.framework/Versions/2.10/qgis_core

0x106d7a000 - 0x1071cdfef +org.qgis.qgis2_gui (2.10.1 - qgis_gui 2.10.1)
<8FF2A76C-D32C-3726-840E-A405A9E5ACAE>
/Applications/QGIS.app/Contents/Frameworks/qgis_gui.framework/Versions/2.10/qgis_gui

0x107386000 - 0x1073e2fff +org.qgis.qgis2_analysis (2.10.1 - qgis_analysis 2.10.1)
<828A92B2-62F2-3409-82E0-948A7D507B48>
/Applications/QGIS.app/Contents/Frameworks/qgis_analysis.framework/Versions/2.10/qgis_analysis

0x107404000 - 0x107422ff7 +libpg.dylib (5.7) <7E067528-4323-378E-91DE-20784DF87DA4>
/Applications/QGIS.app/Contents/MacOS/lib/libpq.dylib

0x107434000 - 0x107626fff +libgscintilla2.dylib (12) <7ABC548A-43EB-35BF-961E-1305C4780D6F>
/Applications/QGIS.app/Contents/MacOS/lib/libgscintilla2.dylib

0x107690000 - 0x107690fff +libgrass_linkm.6.4.4.dylib (6.4) <AOECC2A4-5103-3218-8E16-5D85C277DESE>
/Applications/QGIS.app/Contents/MacOS/grass/lib/libgrass_linkm.6.4.4.dylib

0x107695000 - 0x1076d4fef +QtXml (4.8.6) <26FCFD00-58E5-513F-9AB9-BCE683BDCB33>
/Applications/QGIS.app/Contents/Frameworks/QtXml.framework/Versions/4/QtXml

0x1076f3000 - 0x1079cdff7 +QtCore (4.8.6) <1F9B18AC-D00D-DF75-21A2-73D7486626D5>
/Applications/QGIS.app/Contents/Frameworks/QtCore.framework/Versions/4/QtCore

0x107a6e000 - 0x10848ffff +QtGui (4.8.6) <B141F28A-1C3B-5D25-3D91-EE34ECD3A017>
/Applications/QGIS.app/Contents/Frameworks/QtGui.framework/Versions/4/QtGui

0x10875c000 - 0x10889efff +QtNetwork (4.8.6) <5SAFC2B29-7970-8375-2F5B-CCAC7F739E3E>
/Applications/QGIS.app/Contents/Frameworks/QtNetwork.framework/Versions/4/QtNetwork

0x108908000 - 0x108958fef +QtSvg (4.8.6) <A2152B16-9120-278B-2913-020DE171F1CB>
/Applications/QGIS.app/Contents/Frameworks/QtSvg.framework/Versions/4/QtSvg

0x10897e000 - 0x1089bcfff +org.maptools.proj (4.9.1 - PROJ 4.9.1-2) <2D39C253-5777-3D33-B680-1A0AB2045468>
/Library/Frameworks/PROJ.framework/Versions/4/PROJ

0x1089¢ce000 - 0x108aa6fff +org.osgeo.geos (3.4.2 - GEOS 3.4.2-4) <909273B3-690F-32B9-B897-43145177D2BE>
/Library/Frameworks/GEOS.framework/Versions/3/GEOS

0x108b4a000 - 0x10912dfff +org.sqlite.sqlite3 (3.8.9 - SQLite3 3.8.9-1)
<BDAEBF8B-AD3A-3C53-835A-944E7BFA91B4> /Library/Frameworks/SQLite3.framework/Versions/C/SQLite3

0x10918e000 - 0x1091c5ff7 libiodbc.2.dylib (42.5) <AB9CFC39-26C4-341F-A719-7DA3231543F8>
/usr/lib/libiodbc.2.dylib

0x1091d5000 - 0x1091e0fff libiodbcinst.2.dylib (42.5) <56F1BCF0-6037-3769-8A89-4373C0B2F5DD>
/usr/lib/libiodbcinst.2.dylib

0x1091e8000 - 0x109359fff +com.kyngchaos.UnixImagelO (1.5.0 - UniximagelO 1.5.0)
<4BA38968-2A06-3426-86F7-897D0A8CBEGF> /Library/Frameworks/UnixImagelO.framework/Versions/E/UnixImagelO

0x1093ac000 - 0x1093dcfff +libogdi.dylib (0) <E044DC56-8BAD-3CA0-9702-5C2C2523FD7E>
/Library/Frameworks/GDAL.framework/Versions/1.11/Libraries/libogdi.dylib

0x1093f0000 - 0x10940fff7 +libpg.dylib (5.6) <4D118A6F-49A2-347C-A4FE-7351250A6220>
/Library/Frameworks/GDAL.framework/Versions/1.11/Libraries/libpg.dylib

0x109420000 - 0x109428fef +libintl.dylib (10.1) <937F7B46-EC9C-4441-43FD-4CD508BE99E2>
/Library/Frameworks/GDAL.framework/Versions/1.11/Libraries/libintl.dylib

0x10942e000 - 0x109436fff +libintl.dylib (10.3) <FD14D806-084F-38FA-A78B-5BBE277E37D4>
/Applications/QGIS.app/Contents/MacOS/lib/libintl.dylib

0x1096ff000 - 0x10971affb com.apple.security.csparser (3.0 - 57336.1.9)
<A8B6334E-24A6-301F-BE58-3435B6F6A24A>
/System/Library/Frameworks/Security.framework/Plugins/csparser.bundle/Contents/MacOS/csparser

0x109724000 - 0x1097b2ff7 +libcoordinatecaptureplugin.so (???) <840F6421-CD60-347F-9037-EF6AB339E7CA>
/Applications/QGIS.app/Contents/Pluglns/qgis/libcoordinatecaptureplugin.so

0x1097fb000 - 0x1097fbfe7 +cl_kernels (???) <325E6D15-C86E-4CFE-A3B6-BC82F2BD13A9> cl_kernels

0x10bbfd000 - 0x10bca2fff ColorSyncDeprecated.dylib (470) <EE37006F-6FA9-3961-AEE8-5DCEE3B7B4BE>
/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ColorSync.framework/Versions/A/Resources/Cq
s/ColorSyncDeprecated.dylib

0x10c888000 - 0x10c8b4fff +libdxf2shpconverterplugin.so (???) <DOE3BB0D-F680-3823-8A49-944FFC15F30E>
/Applications/QGIS.app/Contents/Plugins/qgis/libdxf2shpconverterplugin.so

0x10c8c4000 - 0x10c8c9ff7 +libgrass_gproj.6.4.4.dylib (6.4) <2894B53B-B9EA-3484-BE3B-C6281A493E02>
/Applications/QGIS.app/Contents/MacOS/grass/lib/libgrass_gproj.6.4.4.dylib
0x11051f000 - 0x110525ff7 +libqgif.dylib (0) <B175C600-AC3D-67F5-A568-3A4F83D2E526>
/Applications/QGIS.app/Contents/Plugins/imageformats/libqgif.dylib

0x11052a000 - 0x110530ff7 +libgico.dylib (0) <D337D074-DB20-0C4F-8673-DBE0246561E4>
/Applications/QGIS.app/Contents/Plugins/imageformats/libgico.dylib

0x110536000 - 0x110571ff7 +libgjpeg.dylib (0) <C40B394B-B589-1DFF-74FC-84A5A7E68A26>
/Applications/QGIS.app/Contents/Pluglns/imageformats/libgjpeg.dylib

0x11057a000 - 0x11057fff7 +libgsvg.dylib (0) <283CEB63-BE2E-68F5-EC33-BE5S8F0E404D4>
/Applications/QGIS.app/Contents/Plugins/imageformats/libgsvg.dylib

0x110584000 - 0x1105d9fe7 +libgtiff.dylib (0) <22AA445D-5E20-42A8-D2A9-C8ESESDF880E>
/Applications/QGIS.app/Contents/Plugins/imageformats/libgtiff.dylib

0x1119dd000 - 0x1119e6fff +libgsvgicon.dylib (0) <7EBB273C-A14F-127C-D2BC-AFA06756E73F>
/Applications/QGIS.app/Contents/Plugins/iconengines/libgsvgicon.dylib

0x1119ec000 - 0x111a72fef +libgsqlite.dylib (0) <FF5A8187-1A80-E204-F15F-690BC6FBSEB6>
/Applications/QGIS.app/Contents/Plugins/sqldrivers/libgsqlite.dylib

0x11208f000 - 0x1120c8ff7 +libdelimitedtextprovider.so (???) <83E5FE21-4EA3-3DEB-B5D0-9563928F7ECA>
/Applications/QGIS.app/Contents/Pluglns/qgis/libdelimitedtextprovider.so

0x1120dc000 - 0x112117ff7 +libevis.so (???) <034A3B35-11FE-3CEA-B381-D7ADC501A7CD>
/Applications/QGIS.app/Contents/Plugins/qgis/libevis.so

0x11212b000 - 0x112151fff +libgdalprovider.so (???) <EADC66C0-DAB4-3D6B-A842-5271D82D6644>
/Applications/QGIS.app/Contents/Plugins/qgis/libgdalprovider.so

0x112161000 - 0x1121dcff7 +libgeorefplugin.so (???) <CD2C81D0-281C-3062-A363-FF7628C9C555>
/Applications/QGIS.app/Contents/Plugins/qgis/libgeorefplugin.so

0x112208000 - 0x1123a2fff +org.gnu.gsl (1.16 - GSL 1.16-1) <77BOF3A9-3D20-3975-9EDE-3A69F00DD23F>
/Applications/QGIS.app/Contents/Frameworks/GSL.framework/Versions/1/GSL

0x1123ff000 - 0x112438ff7 +libglobeplugin.so (???) <DD8C5FEF-9E05-360E-BC20-3AC60D2801C6>
/Applications/QGIS.app/Contents/Pluglns/qgis/libglobeplugin.so

0x112458000 - 0x11253bfff +QtOpenGL (4.8.6) <122984D3-448B-9019-29B3-1685D1478FCA>
/Applications/QGIS.app/Contents/Frameworks/QtOpenGL.framework/Versions/4/QtOpenGL

0x112585000 - 0x11273efff + (??? - ???) <CABF8CB8-46D2-3C05-945B-5E90DFF60DA8>
/Applications/QGIS.app/Contents/Frameworks/osgDB.framework/Versions/3/osgDB

0x11285d000 - 0x1128bffff + (??? - 2?7) <FF78703F-E6E5-3079-A70F-DCAC9E923CC7>
/Applications/QGIS.app/Contents/Frameworks/osgGA.framework/Versions/3/0sgGA

0x11290a000 - 0x112c51fff + (7?7 - ???) <D51FA64B-0055-3FF0-9B9B-98BCF317FBBC>
/Applications/QGIS.app/Contents/Frameworks/osgULtil.framework/Versions/3/osgUtil

0x112ea2000 - 0x1132c5fff + (7?7 - ???) <84AA5FB9-88D6-3D35-B961-5A2C9B6374A3>
/Applications/QGIS.app/Contents/Frameworks/osg.framework/Versions/3/osg

0x11351d000 - 0x113542ff7 + (??7 - ???) <4FB70741-14D6-3713-AE90-31930379CFE6>
/Applications/QGIS.app/Contents/Frameworks/osgQt.framework/Versions/3/osgQt

0x11355f000 - 0x1136aeff7 + (??? - 7??) <560BC52EA-6F1A-3571-81F4-COF4033B0AA8>
/Applications/QGIS.app/Contents/Frameworks/osgViewer.framework/Versions/3/osgViewer

0x11376b000 - 0x11390aff7 + (??7? - ???) <9E2CA48D-B448-37AB-84A6-D679D3BOEFIE>
/Applications/QGIS.app/Contents/Frameworks/osgEarth.framework/Versions/2/osgEarth

0x1139d3000 - 0x113a50fff + (??? - ???) <BAODFC62-8A13-35B6-A54E-BA477ECB0021>
/Applications/QGIS.app/Contents/Frameworks/osgEarthFeatures.framework/Versions/2/osgEarthFeatures

0x113a9f000 - 0x113c04fff + (??? - ???) <B17DFC5D-9FC1-3B68-99D9-E3FBCF33598D>
/Applications/QGIS.app/Contents/Frameworks/osgEarthUtil.framework/Versions/2/osgEarthUtil

0x113c9d000 - 0x113cffff7 + (??7 - ?77?) <842089A1-0DCC-329B-8E21-1AAFD3614EEA>
/Applications/QGIS.app/Contents/Frameworks/osgEarthQt.framework/Versions/2/osgEarthQt

0x113d46000 - 0x113d4bff7 + (??7 - ???) <05DBCA35-7719-362F-AA46-10F73BASOEES>
/Applications/QGIS.app/Contents/Frameworks/OpenThreads.framework/Versions/3/OpenThreads

0x113d51000 - 0x113d55fff com.apple.agl (3.3.1 - AGL-3.3.1) <4DBEABO05-DDCD-3CD4-8046-C29852B56EB5>

/System/Library/Frameworks/AGL.framework/Versions/A/AGL
0x113d5d000 - 0x113ddeff7 + (??? - ??7?) <BA492187-2A3B-3789-9CF2-DBD6D35625C7>
/Applications/QGIS.app/Contents/Frameworks/osgWidget.framework/Versions/3/osgWidget

0x113e32000 - 0x113ee6ff7 + (??? - 7?7) <A81BB11F-BA9D-3930-9D0A-89FE2C842769>
/Applications/QGIS.app/Contents/Frameworks/osgText.framework/Versions/3/osgText

0x113f60000 - 0x114076fff + (??7? - ???) <20B3FC97-47E1-3EAA-B613-ESBEEC338128E>
/Applications/QGIS.app/Contents/Frameworks/osgSim.framework/Versions/3/0sgSim

0x114130000 - 0x114191ff7 + (??7? - ???) <69732699-B125-3A2F-9957-8F81033F8811>
/Applications/QGIS.app/Contents/Frameworks/osgTerrain.framework/Versions/3/osgTerrain

0x1141d5000 - 0x11421cff7 + (??? - ?2?7?) <D870C06A-0542-3252-B033-124BA9E71A95>
/Applications/QGIS.app/Contents/Frameworks/osgFX.framework/Versions/3/osgFX

0x11424b000 - 0x114352fff + (??? - ???) <AEEFDEDA-D18A-3549-B503-6C9FB810A030>
/Applications/QGIS.app/Contents/Frameworks/osgShadow.framework/Versions/3/osgShadow

0x1143f9000 - 0x114457fff + (??7? - 7??) <3F68806A-FE0B-3F22-8F9C-1F4A1D6E5S5E2>
/Applications/QGIS.app/Contents/Frameworks/osgManipulator.framework/Versions/3/osgManipulator

0x114491000 - 0x11451bff7 + (7?7 - ???) <AC9BDO011-1E69-344B-B2D0-4E6CB3976625>
/Applications/QGIS.app/Contents/Frameworks/osgEarthSymbology.framework/Versions/2/osgEarthSymbology

0x11455d000 - 0x1145b5fff + (??? - ???) <ED4B60C3-B5BC-3EA4-AB06-436B06BDD18C>
/Applications/QGIS.app/Contents/Frameworks/osgEarthAnnotation.framework/Versions/2/osgEarthAnnotation

0x1145f1000 - 0x114627fff +libgpsimporterplugin.so (???) <4A6E181D-B087-3330-822F-F5676348D22F >
/Applications/QGIS.app/Contents/Plugins/qgis/libgpsimporterplugin.so

0x114635000 - 0x114665ff7 +libgpxprovider.so (??7?) <1246184D-B9E8-31FB-A557-7DF108ABCE47>
/Applications/QGIS.app/Contents/Plugins/qgis/libgpxprovider.so

0x114677000 - 0x1147e6fff +libgrassplugin.so (???) <B26432F0-21F3-3545-A0EE-EBA2FEBDD678>
/Applications/QGIS.app/Contents/Plugins/qgis/libgrassplugin.so

0x11485a000 - 0x11488bff7 +org.qgis.qgis2_grass (2.8.2 - qgisgrass 2.8.2)
<02AC6F81-E38C-3A45-99E7-B74CD744DE3F>
/Applications/QGIS.app/Contents/Frameworks/qgisgrass.framework/Versions/2.8/qgisgrass

0x11489d000 - 0x1148dbfff +libgrass_gis.6.4.4.dylib (6.4) <ECDCB499-ECDD-341C-BEF3-D4CAOBBFA6CA>
/Applications/QGIS.app/Contents/MacOS/grass/lib/libgrass_gis.6.4.4.dylib

0x1148ed000 - 0x11491cff7 +libgrass_vect.6.4.4.dylib (6.4) <AB7CBCOD-ADB3-3B49-95DA-6A4F770E01F2>
/Applications/QGIS.app/Contents/MacOS/grass/lib/libgrass_vect.6.4.4.dylib

0x11492a000 - 0x114933fff +libgrass_dbmibase.6.4.4.dylib (6.4) <CADB51A3-2D3F-3E27-88ED-B667A810D9E8>
/Applications/QGIS.app/Contents/MacOS/grass/lib/libgrass_dbmibase.6.4.4.dylib

0x11493a000 - 0x11493ffff +libgrass_dbmiclient.6.4.4.dylib (6.4) <0D8F2B4B-822C-3414-AF9D-1CC796FDODF9>
/Applications/QGIS.app/Contents/MacOS/grass/lib/libgrass_dbmiclient.6.4.4.dylib

0x114944000 - 0x114949fff +libgrass_datetime.6.4.4.dylib (6.4) <1359D231-1A38-326A-ACEF-9C2B60C908C5>
/Applications/QGIS.app/Contents/MacOS/grass/lib/libgrass_datetime.6.4.4.dylib

0x11494d000 - 0x11495aff7 +libgrass_dig2.6.4.4.dylib (6.4) <038242AF-1B88-3B5F-A5AC-962E8EF5A48F >
/Applications/QGIS.app/Contents/MacOS/grass/lib/libgrass_dig2.6.4.4.dylib

0x11495f000 - 0x114962fff +libgrass_rtree.6.4.4.dylib (6.4) <2A3A80E6-EC47-33D2-8683-63AE9EDEOF90>
/Applications/QGIS.app/Contents/MacOS/grass/lib/libgrass_rtree.6.4.4.dylib

0x114965000 - 0x114976fff +libgrass_dgl.6.4.4.dylib (6.4) <4D60C207-41D8-3FDB-A643-D0007C486B2F >
/Applications/QGIS.app/Contents/MacOS/grass/lib/libgrass_dgl.6.4.4.dylib

0x11497c000 - 0x114ac6fff +libgrassplugin6.so (??7?) <B52E5BFF-67BE-3451-AEBC-C28B5FAD8921>
/Applications/QGIS.app/Contents/Pluglns/qgis/libgrassplugin6.so

0x114b24000 - 0x114b6bfff +org.qgis.qgis2_grass (2.10.1 - qgisgrass6 2.10.1)
<FEA49550-7E73-3D9D-8807-CCB9C6D8D1EB>
/Applications/QGIS.app/Contents/Frameworks/qgisgrass6.framework/Versions/2.10/qgisgrass6

0x114b8b000 - 0x114b91fff +libgrass_l.6.4.4.dylib (6.4) <OBEF3159-8EDE-3039-B56B-2FDODAGA901B>
/Applications/QGIS.app/Contents/MacOS/grass/lib/libgrass_|.6.4.4.dylib

0x114b95000 - 0x114b9bff7 +libgrass_gmath.6.4.4.dylib (6.4) <56283DB57-CFFA-34FC-B3C9-983B69C31223>
/Applications/QGIS.app/Contents/MacOS/grass/lib/libgrass_gmath.6.4.4.dylib

0x114b9f000 - 0x114d44fff +libfftw3.dylib (8.4) <OA6B28FC-3472-3F88-8A26-5B282649A543>
/Applications/QGIS.app/Contents/MacOS/grass/lib/libfftw3.dylib
0x114d5d000 - 0x114d75fff +libgrassprovider6.so (???) <09DC411A-D1E2-3C0B-B252-5B2350C9DA40>
/Applications/QGIS.app/Contents/Plugins/qgis/libgrassprovider6.so

0x114d83000 - 0x114d99ff7 +libgrassrasterprovider.so (???) <6EC1670F-9739-327A-BEF9-E7524DE81825>
/Applications/QGIS.app/Contents/Plugins/qgis/libgrassrasterprovider.so

0x114da3000 - 0x114db9fff +libgrassrasterprovider6.so (???) <D96DC480-C162-3D11-BB2C-F6CB0OBIFE9DO>

/Applications/QGIS.app/Contents/Plugins/qgis/libgrassrasterprovider6.so

0x114dc3000 - 0x114ddbfff +libheatmapplugin.so (??7?) <703BC556-C9D9-3EAC-9ACO-F8E7F26EF67E>
/Applications/QGIS.app/Contents/Plugins/qgis/libheatmapplugin.so

0x114de7000 - 0x114dfdff7 +libinterpolationplugin.so (???) <AEBC771E-5AB8-317C-AA47-8E3D7BD5FDFO>
/Applications/QGIS.app/Contents/Plugins/qgis/libinterpolationplugin.so

0x114e09000 - 0x114e19fff +libmemoryprovider.so (???) <B309CD52-DA97-3CD1-B379-6D1D08ESCED2>
/Applications/QGIS.app/Contents/Pluglns/qgis/libmemoryprovider.so

0x114e23000 - 0x114e7aff7 +libmssqglprovider.so (???) <2A672E6D-EA42-3DBF-9C6D-6527EBC46508>
/Applications/QGIS.app/Contents/Plugins/qgis/libmssqglprovider.so

0x114e99000 - 0x114ea8ff7 +libofflineeditingplugin.so (???) <921CBD91-00E5-3C9A-A806-31ED45460CDE>
/Applications/QGIS.app/Contents/Plugins/qgis/libofflineeditingplugin.so

0x114eb3000 - 0x114ee8ff7 +libogrprovider.so (???) <929990C5-29B0-33D1-B1D8-7C28778A5A3A>
/Applications/QGIS.app/Contents/Plugins/qgis/libogrprovider.so

0x114efe000 - 0x114f14ff7 +ogr_FileGDB.dylib (???) <6A7A8545-C342-3B00-BB46-7D5C3907E079>
/Library/Application Support/GDAL/*/ogr_FileGDB.dylib

0x114£23000 - 0x115509fff +libFileGDBAPI.dylib (0) <9F1EC08C-282A-39ED-BIFE-9A117336E686>
/Library/Application Support/GDAL/*/libFileGDBAPI.dylib

0x115673000 - 0x1156e3fff +libfgdbunixrtl.dylib (0) <418A3617-2909-352B-B96D-AB75F60CB2AB>
/usr/local/lib/libfgdbunixrtl.dylib

0x115b3d000 - 0x115b50ff7 +liboracleplugin.so (??7?) <BF1C8AFE-4AEF-3A8F-8341-1B4BB8DF6A80>
/Applications/QGIS.app/Contents/Pluglns/qgis/liboracleplugin.so

0x115b59000 - 0x115b64ff7 +libowsprovider.so (???) <8B404E05-FE47-3BDA-8B7C-C2326E6125EF >
/Applications/QGIS.app/Contents/Plugins/qgis/libowsprovider.so

0x115b6b000 - 0x115c05ff7 +libpostgresprovider.so (???) <F1CA27FF-0DE6-38BE-A51D-B4C337AD3619>
/Applications/QGIS.app/Contents/Pluglns/qgis/libpostgresprovider.so

0x115¢2d000 - 0x115c44ff7 +librasterterrainplugin.so (???) <CC7A1D2D-EF79-3E5F-8596-3C418F25BCOF>
/Applications/QGIS.app/Contents/Plugins/qgis/librasterterrainplugin.so

0x115c4f000 - 0x115c6cfff +libroadgraphplugin.so (??7?) <7A2441C0-BFBC-3F66-8649-098646B99899>
/Applications/QGIS.app/Contents/Plugins/qgis/libroadgraphplugin.so

0x115¢7b000 - 0x115c88ff7 +org.qgis.qgis2_networkanalysis (2.10.1 - qgis_networkanalysis 2.10.1)
<8E67973D-D7A3-34D8-8088-BE04369DCC12>
/Applications/QGIS.app/Contents/Frameworks/qgis_networkanalysis.framework/Versions/2.10/qgis_networkanalysis

0x115¢90000 - 0x115ceffff +libspatialiteprovider.so (???) <6A9FEB46-DA2E-3731-B5F0-0F5582D1C37D>
/Applications/QGIS.app/Contents/Plugins/qgis/libspatialiteprovider.so

0x115d0e000 - 0x115d2cfff +libspatialqueryplugin.so (???) <1DA8BBF0-26FF-3F31-AFB4-D8D285CD4D89>
/Applications/QGIS.app/Contents/Plugins/qgis/libspatialqueryplugin.so

0x115d3b000 - 0x115d87ff7 +libspitplugin.so (??7?) <49F3378C-9FC4-3CE6-A4E5-2326711E5515>
/Applications/QGIS.app/Contents/Plugins/qgis/libspitplugin.so

0x115d9a000 - 0x115dbafff +libsglanywhereprovider.so (???) <E4100FF7-3DB6-3D8D-9656-6670634A9355>
/Applications/QGIS.app/Contents/Pluglns/qgis/libsglanywhereprovider.so

0x115dc5000 - 0x115dd5ff7 +org.qgis.qgis2_sqlanyconnection (2.4.0 - ggissglanyconnection 2.4.0)
<AF661231-78E3-3E1B-A304-49418BEF1717>
/Applications/QGIS.app/Contents/Frameworks/qgissglanyconnection.framework/Versions/2.4/qgissglanyconnection

0x115ddb000 - 0x11634efff +org.sqlite.sqlite3 (3.7.17 - SQLite3 3.7.17-2)
<424A007B-6231-36ED-91BA-D62564451065> /Library/Frameworks/SQLite3.framework/Versions/B/SQLite3

0x1163ab000 - 0x1163deff7 +libtopolplugin.so (???) <21AC4297-1F37-3D57-BC36-23A7E5B5DB2F>
/Applications/QGIS.app/Contents/Pluglns/qgis/libtopolplugin.so

0x1163f2000 - 0x116436fff +libwcsprovider.so (??7?) <4BD96A45-93BA-3208-AF04-E8CC55C45C02>
/Applications/QGIS.app/Contents/Plugins/qgis/libwcsprovider.so

0x116450000 - 0x116487fff +libwfsprovider.so (???) <4D6EEOBC-F2C4-3A42-92B0-07F7A2DE16F2>
/Applications/QGIS.app/Contents/Pluglns/qgis/libwfsprovider.so

0x1164a2000 - 0x116544ff7 +libwmsprovider.so (???) <D54E8059-373A-3AAD-889D-7BOEFFEBA5B6>
/Applications/QGIS.app/Contents/Pluglns/qgis/libwmsprovider.so

0x116574000 - 0x1167cdfe7 +QtScript (4.8.6) <84C73AB0-880A-E363-41B1-A4CE7489BA3D>
/Applications/QGIS.app/Contents/Frameworks/QtScript.framework/Versions/4/QtScript

0x116888000 - 0x116895fff +libzonalstatisticsplugin.so (???) <CF3D660D-B3AA-3EBF-B869-DE1543B9F8FB>
/Applications/QGIS.app/Contents/Pluglns/qgis/libzonalstatisticsplugin.so

0x11689d000 - 0x1168b1fff +libqgispython.2.10.1.dylib (2.10.1) <A9FBF293-7660-32C5-8EDC-4EC8CD2D4EE3>
/Applications/QGIS.app/Contents/MacOS/lib/libggispython.2.10.1.dylib

0x1168b6000 - 0x1169a7ff7 org.python.python (2.7.10 - 2.7.10) <5A7838D3-24D4-395B-BE96-ADD007C86E55>
/System/Library/Frameworks/Python.framework/Versions/2.7/Python

0x116b3e000 - 0x116b3ffff _locale.so (94) <746CF7C3-06B6-397C-98EF-E6A15339A5A0>
/System/Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/lib-dynload/_locale.so

0x116b84000 - 0x116b99ff7 +sip.so (???) <OCBFCF74-77B3-323A-AFFE-F35A41D3DC28>
/Applications/QGIS.app/Contents/Resources/python/sip.so

0x116ba3000 - 0x116d2cff7 +QtCore.so (???) <0634B574-DF47-3FC5-A5C3-1F2D6E67D552>
/Applications/QGIS.app/Contents/Resources/python/PyQt4/QtCore.so

0x116ee3000 - 0x1173a4fff +QtGui.so (???) <B2B6F27D-1CF4-3D19-9560-927817CE464D>
/Applications/QGIS.app/Contents/Resources/python/PyQt4/QtGui.so

0x117892000 - 0x117895ff7 strop.so (94) <43F6CF5F-A4A0-351A-873C-3F3CE991C7A5>
/System/Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/lib-dynload/strop.so

0x11789b000 - 0x11789ffff itertools.so (94) <E3751628-84FA-33D8-846A-FFDAEB567DCB>
/System/Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/lib-dynload/itertools.so

0x1178e9000 - 0x1178ecfff operator.so (94) <BFFE75F0-3CE3-3623-880E-8825BCF678E4>
/System/Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/lib-dynload/operator.so

0x1178f3000 - 0x1178f5fff _collections.so (94) <FFA8D558-1346-3022-9F15-9F6B5D6E32F0>
/System/Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/lib-dynload/_collections.so

0x1178fc000 - 0x1178fdfff _heapq.so (94) <DFEFD82D-5B05-30C1-868E-5CFCAB0093EB>
/System/Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/lib-dynload/_heapq.so

0x117903000 - 0x117fa3fff +_core.so (???) <29597D42-F816-3EE7-9A35-AFD43D9F6908>
/Applications/QGIS.app/Contents/Resources/python/qgis/_core.so

0x1184f7000 - 0x118567ff7 +QtNetwork.so (??7?) <A044A1FD-7CB2-325F-8EE7-28EE2EQ55EA 1>
/Applications/QGIS.app/Contents/Resources/python/PyQt4/QtNetwork.so

0x1185cd000 - 0x118601ff7 +QtXml.so (???) <7B716336-972E-3508-AF8A-61781B358457>
/Applications/QGIS.app/Contents/Resources/python/PyQt4/QtXml.so

0x1186b0000 - 0x1189f4ff7 +_gui.so (???) <5499D4BB-1898-34DC-A8F5-3A90C67085B7>
/Applications/QGIS.app/Contents/Resources/python/qgis/_gui.so

0x118cd8000 - 0x118d72ff7 +Qsci.so (???) <F44C552B-BEOA-3D3A-B8F4-AC21A605DD41>
/Applications/QGIS.app/Contents/Resources/python/PyQt4/Qsci.so

0x118e8b000 - 0x118e8cff7 time.so (94) <6CB6B631-C4AA-339D-8589-C4DD74EE7CEE>
/System/Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/lib-dynload/time.so

0x118f93000 - 0x118f94fff _functools.so (94) <39C081EE-CF91-371D-B315-039ES8EFEEEDF>
/System/Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/lib-dynload/_functools.so

0x118f99000 - 0x118f9bfff _csv.so (94) <11C2B735-DF9C-3BD0-B170-BBE348F5B306>
/System/Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/lib-dynload/_csv.so

0x118fa2000 - 0x118fa3fff cStringlO.so (94) <C543C798-B486-30DE-8F40-3DE2B256070A>
/System/Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/lib-dynload/cStringlO.so

0x118fe9000 - 0x118ff8fff _io.so (94) <9570EB6D-40C0-3916-A8F3-D0D275F090C7>
/System/Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/lib-dynload/_io.so

0x119009000 - 0x11900cff7 math.so (94) <EDA6D590-E402-3C7A-9E4E-88C94BB71BC3>
/System/Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/lib-dynload/math.so
0x119013000 - 0x11901aff7 _socket.so (94) <018001CC-B778-356C-8F10-C312FCE57414>
/System/Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/lib-dynload/_socket.so
0x119025000 - 0x11902efff _ssl.so (94) <281943DF-2E64-35DC-AE59-68CACFA574BD>
/System/Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/lib-dynload/_ssl.so
0x11907a000 - 0x11907dfff _struct.so (94) <037D34AA-B9ED-3A0D-87C7-2EAF117E40D9>
/System/Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/lib-dynload/_struct.so
0x119084000 - 0x119086fff binascii.so (94) <47E33F8D-CA85-39F4-9AB4-B7E5D98075D2>
/System/Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/lib-dynload/binascii.so
0x1190cb000 - 0x1190cbfff _scproxy.so (94) <01ECDDB2-327B-3C94-A951-8CDDB05B3EC4>
/System/Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/lib-dynload/_scproxy.so
0x1190d0000 - 0x1190d1fff _hashlib.so (94) <7522006C-B2C1-391A-A9A3-E7634612ADC4>
/System/Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/lib-dynload/_hashlib.so
0x1190d7000 - 0x1190d8ff7 _random.so (94) <D6BD578F-7CAB-305F-BD1D-04C5DE2A796E>
/System/Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/lib-dynload/_random.so
0x1190dd000 - 0x1190defff fcntl.so (94) <9CD4AF9E-9A5A-35FE-8CF7-5FE247A89C5C>
/System/Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/lib-dynload/fcntl.so
0x119223000 - 0x119260fff +_gdal.so (???) <316E13D4-45F5-3959-A53F-2EF66014B726>
/Library/Frameworks/GDAL.framework/Versions/1.11/Python/2.7/site-packages/osgeo/_gdal.so
0x1192e9000 - 0x119337fff +_ogr.so (???) <73A03E60-5787-334B-A0E8-0F13F4A61595>
/Library/Frameworks/GDAL.framework/Versions/1.11/Python/2.7/site-packages/osgeo/_ogr.so
0x11934a000 - 0x119372fff +_osr.so (??77) <24A59FE3-FC2A-3157-87DE-084CA64F5542>
/Library/Frameworks/GDAL.framework/Versions/1.11/Python/2.7/site-packages/osgeo/_osr.so
0x1193be000 - 0x1193c1ff7 +_gdalconst.so (???) <F8E8188B-D3FD-3A4C-AB28-7DD759AFC564>
/Library/Frameworks/GDAL.framework/Versions/1.11/Python/2.7/site-packages/osgeo/_gdalconst.so
0x1193c5000 - 0x11940cfff +QtWebKit.so (??77?) <E6E5B285-9FC3-30CF-9679-E7E254B0FD28>
/Applications/QGIS.app/Contents/Resources/python/PyQt4/QtWebKit.so
0x1194cd000 - 0x1194dbfff _ctypes.so (94) <D6FBOE51-6B2B-32A4-8F1F-AB51D1D911A3>
/System/Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/lib-dynload/_ctypes.so
0x1194e7000 - 0x1194eeff7 +libuuid.dylib (0) <294BA30D-2CD7-3D97-88D4-1B1A3C74CFC4> /ust/local/lib/libuuid.dylib
0x1194f2000 - 0x1194f4fff select.so (94) <6A2966C6-5A6A-3DCI-BC09-44AF049CF38C>
/System/Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/lib-dynload/select.so
0x11953b000 - 0x119544ff7 datetime.so (94) <7FC34418-1444-34E7-8C86-46913140A6B1>
/System/Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/lib-dynload/datetime.so
0x1195ce000 - 0x1195d3ff7 pyexpat.so (94) <66C9E25D-C5EE-37A1-97C9-61D8A43B016F>
/System/Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/lib-dynload/pyexpat.so
0x1195db000 - 0x1195f4fff libexpat.1.dylib (12) <1490D436-163D-3385-B71A-A4F17399626A> /usr/lib/libexpat.1.dylib
0x11963e000 - 0x119642fff _json.so (94) <AF3DD9FD-CB82-35EB-9B0B-10847C34525E>
/System/Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/lib-dynload/_json.so
0x119788000 - 0x119788fff grp.so (94) <D24E48A1-BA22-3F50-9C73-5FE5BF9F3B7C>
/System/Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/lib-dynload/grp.so
0x11978d000 - 0x119791fff array.so (94) <39A759C4-BOFA-3EE3-A6CA-B4127BB1A779>
/System/Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/lib-dynload/array.so
0x119798000 - 0x119798fff _bisect.so (94) <6575E6EE-3914-3A6C-8C23-A918E8407109>
/System/Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/lib-dynload/_bisect.so
0x11981d000 - 0x11981ffff zlib.so (94) <QE77EEBF-E9BD-3970-956B-282B4846E0E5>
/System/Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/lib-dynload/zlib.so
0x119865000 - 0x11993aff7 multiarray.so (40) <567971198-A361-379E-BA26-594EF94DA710>
/System/Library/Frameworks/Python.framework/Versions/2.7/Extras/lib/python/numpy/core/multiarray.so
0x119959000 - 0x11999bff7 umath.so (40) <OFF41466-E118-3D77-B39F-A155ACEC1FF4>
/System/Library/Frameworks/Python.framework/Versions/2.7/Extras/lib/python/numpy/core/umath.so
0x1199eb000 - 0x1199f6fff cPickle.so (94) <50DD89C6-6B41-3444-AD1E-7B2401ED7A2C>
/System/Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/lib-dynload/cPickle.so
0x1199fd000 - 0x119a00fff _dotblas.so (40) <BF88824E-C362-3BAF-8537-09109DBBIDCF>
/System/Library/Frameworks/Python.framework/Versions/2.7/Extras/lib/python/numpy/core/_dotblas.so
0x119a45000 - 0x119a5fff7 scalarmath.so (40) <FABACF36-8511-3C19-8244-631609F98711>
/System/Library/Frameworks/Python.framework/Versions/2.7/Extras/lib/python/numpy/core/scalarmath.so
0x119ae6000 - 0x119aeafff _compiled_base.so (40) <776346C1-735B-377C-BAF6-773EB75C265B>
/System/Library/Frameworks/Python.framework/Versions/2.7/Extras/lib/python/numpy/lib/_compiled_base.so
0x119b30000 - 0x119b33fff lapack_lite.so (40) <09596DCE-D4FB-38FB-94FD-86FD27E98441>
/System/Library/Frameworks/Python.framework/Versions/2.7/Extras/lib/python/numpy/linalg/lapack_lite.so
0x119b39000 - 0x119c75fff _umath_linalg.so (40) <94DD8539-DF5B-3719-9AB2-FF56E6BC357C>
/System/Library/Frameworks/Python.framework/Versions/2.7/Extras/lib/python/numpy/linalg/_umath_linalg.so
0x119d20000 - 0x119d20fff future_builtins.so (94) <4CODE8SE8-98D8-37EC-B82E-B6355817A8C0>
/System/Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/lib-dynload/future_builtins.so
0x119d65000 - 0x119d6c¢ff7 fftpack_lite.so (40) <CEOEADDS8-C6FA-3F92-9609-A930C94E5FB4>
/System/Library/Frameworks/Python.framework/Versions/2.7/Extras/lib/python/numpy/fft/fitpack_lite.so
0x119e71000 - 0x119ea6fff mtrand.so (40) <D5A157EC-B8B1-35C4-B717-BESE68CB3D5A>
/System/Library/Frameworks/Python.framework/Versions/2.7/Extras/lib/python/numpy/random/mtrand.so
0x11a29b000 - 0x11a2d0ff7 +_path.so (???) <8559AFE9-BB5C-34E6-A11C-ADC5F6D562C 1>
/Library/Python/2.7/site-packages/matplotlib-override/matplotlib/_path.so
0x11a503000 - 0x11aba4fff +ft2font.so (?7??) <19935003-CEE2-325F-B8CC-ECD784885DAC>
/Library/Python/2.7/site-packages/matplotlib-override/matplotlib/ft2font.so
0x11a667000 - 0x11a70bfff unicodedata.so (94) <31F24B14-792A-378E-9266-2C6010EEDAC1>
/System/Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/lib-dynload/unicodedata.so
0x11a712000 - 0x11a72dfff +_png.so (??7?) <F749C002-6E33-3D32-9D04-2AE9B7299844 >
/Library/Python/2.7/site-packages/matplotlib-override/matplotlib/_png.so
0x11a791000 - 0x11a794fff +_cntr.so (???) <78234600-C098-3808-ACF2-DBD6F80BD4E2>
/Library/Python/2.7/site-packages/matplotlib-override/matplotlib/_cntr.so
0x11a858000 - 0x11a892ff7 +_image.so (???) <7F29778E-19A8-3A75-9EAA-BB76B3F27771>
/Library/Python/2.7/site-packages/matplotlib-override/matplotlib/_image.so
0x11aa0c000 - 0x11aai6fff +_delaunay.so (???) <5DF1297C-0032-3451-868E-82DD8FCF355B>
/Library/Python/2.7/site-packages/matplotlib-override/matplotlib/_delaunay.so
0x11aa22000 - 0x11aab53ff7 +_tri.so (???) <B2BFD3AD-C95B-336C-86F4-8F033073B60A>
/Library/Python/2.7/site-packages/matplotlib-override/matplotlib/_tri.so
0x11ab11000 - 0x11ab66fff +_backend_agg.so (??7) <9281B2F2-17BE-39C2-86AA-C76EDED1F8A4>
/Library/Python/2.7/site-packages/matplotlib-override/matplotlib/backends/_backend_agg.so
0x11ac82000 - 0x11ac90fff _ufuncs_cxx.so (40) <3BBE79AB-8855-31A6-B4D2-727572A6F47C>
/System/Library/Frameworks/Python.framework/Versions/2.7/Extras/lib/python/scipy/special/_ufuncs_cxx.so
0x11ac98000 - 0x11acoffff _flinalg.so (40) <9DC67B72-7902-3883-9CD7-AC2EBDFOF413>
/System/Library/Frameworks/Python.framework/Versions/2.7/Extras/lib/python/scipy/linalg/_flinalg.so
0x11aca7000 - Ox11acaefff calc_lwork.so (40) <84C82915-1E6E-35E2-B582-17D7EC1209A2>
/System/Library/Frameworks/Python.framework/Versions/2.7/Extras/lib/python/scipy/linalg/calc_lwork.so
0x11acb5000 - 0x11acb8fff futil.so (40) <13CB94AC-5FE4-347F-933D-96342526 ADDF>
/System/Library/Frameworks/Python.framework/Versions/2.7/Extras/lib/python/scipy/stats/futil.so
0x11ad02000 - 0x11adbOfff _ufuncs.so (40) <02925DB1-7670-32D9-8195-9C127910FA94>
/System/Library/Frameworks/Python.framework/Versions/2.7/Extras/lib/python/scipy/special/_ufuncs.so
0x11ae45000 - 0x11aea7fff specfun.so (40) <CC8AEBF2-074C-3B6A-ACC5-A21D367B28ED>
/System/Library/Frameworks/Python.framework/Versions/2.7/Extras/lib/python/scipy/special/specfun.so
0x11aee4000 - 0x11af10fff _fblas.so (40) <FE879ADE-9E47-3CFA-836E-56407D2171F5>
/System/Library/Frameworks/Python.framework/Versions/2.7/Extras/lib/python/scipy/linalg/_fblas.so
0x11af2c000 - 0x11af86fff _flapack.so (40) <2547EC8F-D46D-3E38-824B-9EB866E6523D>
/System/Library/Frameworks/Python.framework/Versions/2.7/Extras/lib/python/scipy/linalg/_flapack.so
0x11b0ba000 - 0x11b0bfff7 minpack2.so (40) <D2ADD057-526D-3D9D-B0A9-7CF7C60A0C91>
/System/Library/Frameworks/Python.framework/Versions/2.7/Extras/lib/python/scipy/optimize/minpack2.so
0x11b0c5000 - 0x11b0d9ff7 _lbfgsb.so (40) <A7879996-9A85-343B-B9B8-BA8CID52F25C>
/System/Library/Frameworks/Python.framework/Versions/2.7/Extras/lib/python/scipy/optimize/_lbfgsb.so
0x11b0e6000 - 0x11b0ebfff moduleTNC.so (40) <6903D51A-83DF-3BAC-B08D-FF2ECF91C813>
/System/Library/Frameworks/Python.framework/Versions/2.7/Extras/lib/python/scipy/optimize/module TNC.so
0x11b0f0000 - 0x11b102fff _cobyla.so (40) <5SFOD87C0-B7A0-375F-A183-D48532397443>
/System/Library/Frameworks/Python.framework/Versions/2.7/Extras/lib/python/scipy/optimize/_cobyla.so
0x11b10e000 - 0x11b118ff7 _slsgp.so (40) <D4E330D7-6FB6-3E04-A877-BB77D9E8417C>
/System/Library/Frameworks/Python.framework/Versions/2.7/Extras/lib/python/scipy/optimize/_slsqp.so
0x11b11e000 - 0x11b129fff _minpack.so (40) <42DBF5A1-1606-384E-911B-88225CD96780>
/System/Library/Frameworks/Python.framework/Versions/2.7/Extras/lib/python/scipy/optimize/_minpack.so
0x11b16f000 - 0x11b26bff7 _csr.so (40) <2A8E12C8-7E86-3082-B9C6-FE6D9734F7294>
/System/Library/Frameworks/Python.framework/Versions/2.7/Extras/lib/python/scipy/sparse/sparsetools/_csr.so
0x11b28d000 - 0x11b346fff _csc.so (40) <787F383A-696D-39EA-B6F0-E4692CDACEF9>
/System/Library/Frameworks/Python.framework/Versions/2.7/Extras/lib/python/scipy/sparse/sparsetools/_csc.so
0x11b35f000 - 0x11b37dff7 _coo.so (40) <92DE632C-7A5E-31F3-A1B1-6F6E5A049228>
/System/Library/Frameworks/Python.framework/Versions/2.7/Extras/lib/python/scipy/sparse/sparsetools/_c00.so
0x11b385000 - 0x11b38fff7 _dia.so (40) <29E82243-AAE6-3C45-8F8B-49812E2B6AAA>
/System/Library/Frameworks/Python.framework/Versions/2.7/Extras/lib/python/scipy/sparse/sparsetools/_dia.so
0x11b395000 - 0x11b4d5ff7 _bsr.so (40) <F19E7E1C-6CE2-31B6-BF8B-3369E6F5D3BA>
/System/Library/Frameworks/Python.framework/Versions/2.7/Extras/lib/python/scipy/sparse/sparsetools/_bsr.so
0x11b506000 - 0x11b509fff _csgraph.so (40) <3702FF9B-E49B-38E6-A928-D98D72518E83>
/System/Library/Frameworks/Python.framework/Versions/2.7/Extras/lib/python/scipy/sparse/sparsetools/_csgraph.so
0x11b54f000 - 0x11b573fff _shortest_path.so (40) <C8C63362-0778-3F3F-A278-17D8E6116659>
/System/Library/Frameworks/Python.framework/Versions/2.7/Extras/lib/python/scipy/sparse/csgraph/_shortest_path.so
0x11b57f000 - 0x11b591fff _tools.so (40) <2DEC866F-E712-3E9F-ACA7-DOA62AC5F11D>
/System/Library/Frameworks/Python.framework/Versions/2.7/Extras/lib/python/scipy/sparse/csgraph/_tools.so
0x11b59b000 - 0x11b5b1fff _traversal.so (40) <1AC712D8-10D6-3C90-A4B7-E1727A4BB53F>
/System/Library/Frameworks/Python.framework/Versions/2.7/Extras/lib/python/scipy/sparse/csgraph/_traversal.so
0x11b5bc000 - 0x11b5c5fff _min_spanning_tree.so (40) <366D4536-E3C7-3DD1-AA7E-EB8476A58478>
/System/Library/Frameworks/Python.framework/Versions/2.7/Extras/lib/python/scipy/sparse/csgraph/_min_spanning_tree.so
0x11b5cd000 - 0x11b5f4fff _iterative.so (40) <34AD8271-26BB-32ED-A00C-8013EA6A3DCD>
/System/Library/Frameworks/Python.framework/Versions/2.7/Extras/lib/python/scipy/sparse/linalg/isolve/_iterative.so
0x11b643000 - 0x11b681ff7 _superlu.so (40) <AE22C947-1EB6-397C-A147-869A63E882BB>
/System/Library/Frameworks/Python.framework/Versions/2.7/Extras/lib/python/scipy/sparse/linalg/dsolve/_superlu.so
0x11b68d000 - 0x11b6dfff7 _arpack.so (40) <CAA202D6-4A41-3FF4-ABD3-AFODB1337D88>
/System/Library/Frameworks/Python.framework/Versions/2.7/Extras/lib/python/scipy/sparse/linalg/eigen/arpack/_arpack.so
0x11b73e000 - 0x11b73fff7 _zeros.so (40) <ACA0C541-57C6-3887-932B-5A3296D50824>
/System/Library/Frameworks/Python.framework/Versions/2.7/Extras/lib/python/scipy/optimize/_zeros.so
0x11b744000 - 0x11b74dff7 _nnls.so (40) <09B72A91-4878-323D-ADE4-54A62D1A16AC>
/System/Library/Frameworks/Python.framework/Versions/2.7/Extras/lib/python/scipy/optimize/_nnls.so
0x11b757000 - 0x11b77dfff _odepack.so (40) <A53AA719-DE70-371F-99AA-FOA23FBCFCF9>
/System/Library/Frameworks/Python.framework/Versions/2.7/Extras/lib/python/scipy/integrate/_odepack.so
0x11b78c000 - 0x11b7a3fff _quadpack.so (40) <479AD376-7EEA-3856-9491-6A9F36781201>
/System/Library/Frameworks/Python.framework/Versions/2.7/Extras/lib/python/scipy/integrate/_quadpack.so
0x11b7ed000 - 0x11b80afff vode.so (40) <B9940CE3-01DF-3530-972B-006430F49D43>
/System/Library/Frameworks/Python.framework/Versions/2.7/Extras/lib/python/scipy/integrate/vode.so
0x11b817000 - 0x11b82afff _dop.so (40) <5705F3EA-E7E1-3943-AF3E-8DBB389671BB>
/System/Library/Frameworks/Python.framework/Versions/2.7/Extras/lib/python/scipy/integrate/_dop.so
0x11b837000 - 0x11b85fff7 Isoda.so (40) <76EBS8EB9-2F4D-3857-BE29-40A6D4304397>
/System/Library/Frameworks/Python.framework/Versions/2.7/Extras/lib/python/scipy/integrate/lsoda.so
0x11b870000 - 0x11b87bfff vonmises_cython.so (40) <448B2F25-E7E6-30DC-9A02-A44C59D230C3>
/System/Library/Frameworks/Python.framework/Versions/2.7/Extras/lib/python/scipy/stats/vonmises_cython.so
0x11b942000 - 0x11b951fff _rank.so (40) <3EE63A59-F7FB-375A-B9D5-56CB49C332A1>
/System/Library/Frameworks/Python.framework/Versions/2.7/Extras/lib/python/scipy/stats/_rank.so
0x11b95a000 - 0x11b95ffff statlib.so (40) <EF0674F9-40AF-3D1D-8794-4350D1F3C5E6>
/System/Library/Frameworks/Python.framework/Versions/2.7/Extras/lib/python/scipy/stats/statlib.so
0x11b966000 - 0x11b970ff7 mvn.so (40) <1E3C6DD7-D022-3325-92C5-43613F129923>
/System/Library/Frameworks/Python.framework/Versions/2.7/Extras/lib/python/scipy/stats/mvn.so
0x11bab5000 - 0x11baf5ff7 +_psycopg.so (???) <B37105E1-1163-3953-91CE-877206CF9407>
/Applications/QGIS.app/Contents/Resources/python/psycopg?2/_psycopg.so
0x11bed8000 - 0x11beeOfff parser.so (94) <352DF788-79D9-37C3-9070-76517BF234C4>
/System/Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/lib-dynload/parser.so
0x11e1f0000 - 0x11e1f1ff3 +cl_kernels (???) <9078B73A-C2A1-4A9A-BDOD-F76EQA422C76> cl_kernels
0x11f668000 - 0x11fb5afff com.apple.driver.AppleintelHD4000GraphicsGLDriver (10.8.77 - 10.0.8)
<F13A4635-90EA-3E89-A6A5-68747A363654>
/System/Library/Extensions/ApplelntelHD4000GraphicsGLDriver.bundle/Contents/MacOS/ApplelntelHD4000GraphicsGLDriver
0x11fdf3000 - 0x11fe55ff7 com.apple.driver.AppleintelHD4000GraphicsMTLDriver (10.8.77 - 10.0.8)
<19D303F2-6001-3DE0-8C8D-44F6C8652AC1>
/System/Library/Extensions/ApplelntelHD4000GraphicsMTLDriver.bundle/Contents/MacOS/ApplelntelHD4000GraphicsMTLDriver[?]
er
0x7fff6a504000 - 0x7fff6a53af5f dyld (360.14) <DF977301-4A63-32ED-9939-1EE3122D18D4> /usr/lib/dyld
0x7fff86b31000 -  0x7fff86b31fff com.apple.quartzframework (1.5 - 21) <E37B0ODA2-8DEB-3D46-9038-BD91E789A375>
/System/Library/Frameworks/Quartz.framework/Versions/A/Quartz
0x7fff86b9f000 -  0x7fff86dacfff libicucore.A.dylib (551.24) <DEB70F32-DA94-323B-B6D1-03D09C8FB10C>
/usr/lib/libicucore.A.dylib
0x7fff86db1000 -  0x7fff86dbffff libxar.1.dylib (302) <898402AF-0DF3-341D-83EA-4A1B1770E718> /usr/lib/libxar.1.dylib
0x7fff86e98000 -  0x7fff86e9afff libsystem_coreservices.dylib (19) <692631A0-1923-32CA-9BD5-044B1382FFDE>
/ust/lib/system/libsystem_coreservices.dylib
0x7fff86e9b000 -  0x7fff86f12fc7 libcorecrypto.dylib (334) <4E1B969F-8449-3B21-9880-51 AD58E25AA6>
/usr/lib/system/libcorecrypto.dylib
0x7fff86f31000 -  0x7fff86fadff7 com.apple.contacts.Contacts (1.0 - 2137) <3503806B-F315-3869-88FD-FFF8D5C10973>
/System/Library/Frameworks/Contacts.framework/Versions/A/Contacts
0x7fff86f9e000 -  0x7fff871a9fff libFosl_dynamic.dylib (16.24) <7B19F360-858C-3C49-9E6D-A95CF3BE2186>
/usr/lib/libFosl_dynamic.dylib
0x7fff873bf000 -  0x7fff87713ff7 com.apple.Foundation (6.9 - 1252) <2D13ED37-BFFE-3B7F-A65A-D6ED43B0O5EE9>
/System/Library/Frameworks/Foundation.framework/Versions/C/Foundation
0x7fff87780000 -  0x7fff877b8ff7 com.apple.Accounts (113 - 113) <689EE961-FC8D-3225-AD29-8AECDDB5AEBE>
/System/Library/Frameworks/Accounts.framework/Versions/A/Accounts
0x7fff877bc000 -  Ox7fff877ecff3 com.apple.CoreAVCHD (5.8.0 - 5800.4.2) <56AA41E6-2F60-31D8-B506-2D4A5C341C77>
/System/Library/PrivateFrameworks/CoreAVCHD.framework/Versions/A/CoreAVCHD
0x7fff877ed000 -  0x7fff87dOffff com.apple.QuartzComposer (5.1 - 334) <B28D6929-25C0-3F27-9454-EAE22857EF4A>
/System/Library/Frameworks/Quartz.framework/Versions/A/Frameworks/QuartzComposer.framework/Versions/A/QuartzComposer[?]
er
0x7fff87d44000 -  0x7fff87e2fff7 com.apple.QuickLookUIFramework (5.0 - 696.1)
<921959F6-96C2-3814-8D20-0E761AB51199>
/System/Library/Frameworks/Quartz.framework/Versions/A/Frameworks/QuickLookUl.framework/Versions/A/QuickLookUI
0x7fff87e3d000 - Ox7fff87e77ff7 com.apple.DebugSymbols (132 - 132) <6F5853A1-5DA8-3C42-8E02-2B972F34BCEO>
/System/Library/PrivateFrameworks/DebugSymbols.framework/Versions/A/DebugSymbols
0x7fff87e78000 -  Ox7fff87f5fff7 libcrypto.0.9.8.dylib (59) <7C4E5457-B66C-39CA-BCOE-15CA6C051FCO>
/usr/lib/libcrypto.0.9.8.dylib
0x7fff87f60000 -  0x7fff8808cff7 com.apple.CoreText (352.0 - 494.3) <2A5DCA97-300D-36FB-9E94-3041CFF6D615>
/System/Library/Frameworks/CoreText.framework/Versions/A/CoreText
0x7fff8808d000 -  0x7fff880c0fff com.apple.MediaKit (16 - 807) <6F40D74C-7F2C-3693-AF80-63365A6F7680>
/System/Library/PrivateFrameworks/MediaKit.framework/Versions/A/MediaKit
0x7fff880c6000 - 0x7fff88311fff com.apple.AddressBook.framework (9.0 - 1679)
<26FE27B6-40B7-3633-906D-5323ACEE3337> /System/Library/Frameworks/AddressBook.framework/Versions/A/AddressBook
0x7fff88315000 -  0x7fff88363ff7 libstdc++.6.dylib (104.1) <77780A99-22DB-35AA-BDI9E-ADB83417E4BD>
/usr/lib/libstdc++.6.dylib
0x7fff88364000 - 0x7fff88524feb IlibBLAS.dylib (1159) <4A01C32E-452C-314C-B878-E301D4998C68>
/System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libBLAS.dylib

0x7fff88685000 -  0x7fff886d4ff7 com.apple.opencl (2.6.9 - 2.6.9) <68A63931-3F6F-3DE2-9C8D-624006908B83>
/System/Library/Frameworks/OpenCL.framework/Versions/A/OpenCL

0x7fff8871b000 -  0x7fff8871efff com.apple.lOSurface (108.0.1 - 108.0.1) <43D70E5A-64F5-384A-A95E-64253538C24F >
/System/Library/Frameworks/IOSurface.framework/Versions/A/IOSurface

0x7fff88f4a000 -  0x7fff89113ff7 com.apple.ImagelO.framework (3.3.0 - 1432)
<1COE4F9F-375D-305B-A8E5-DE8D4C4B8A80> /System/Library/Frameworks/ImagelO.framework/Versions/A/ImagelO

0x7fff89119000 -  0x7fff8913bff7 com.apple.framework.familycontrols (4.1 - 410)
<941D3CE9-826F-38C9-A553-6F44435ADFF6>
/System/Library/PrivateFrameworks/FamilyControls.framework/Versions/A/FamilyControls

0x7fff89190000 -  0x7fff891beff7 com.apple.DictionaryServices (1.2 - 250) <94678AC8-41FF-3D2E-A35E-D83AD18D7A78>
/System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/DictionaryServices.framework/Versions/A/DictionaryS
aryServices

0x7fff891bf000 -  0x7fff891cOfff libsystem_secinit.dylib (20) <932ED582-E80F-39DA-BOFA-F1BC5F1AD2F8>
/usr/lib/system/libsystem_secinit.dylib

0x7fff891c4000 -  0x7fff891cfff7 libcommonCrypto.dylib (60074) <BD1DCF19-8353-3F6A-AFFA-EBBA29A302A8>
/usr/lib/system/libcommonCrypto.dylib

0x7fff891d0000 -  0x7fff895fefff com.apple.vision.FaceCore (3.3.1 - 3.3.1) <D02FBB03-42A5-3E75-83C1-F563B1E3258F >
/System/Library/PrivateFrameworks/FaceCore.framework/Versions/A/FaceCore

0x7fff895ff000 -  0x7fff89607fff libcopyfile.dylib (127) <CA2602AB-E8B7-3CD8-A0C5-D86E35FDAOIF>
/usr/lib/system/libcopyfile.dylib

0x7fff89608000 -  0x7fff8967bffb com.apple.Heimdal (4.0 - 2.0) <2D358FB4-61BB-3BB6-9EF7-D9868A0B0275>
/System/Library/PrivateFrameworks/Heimdal.framework/Versions/A/Heimdal

0x7fff89714000 - 0x7fff89991ffb com.apple.security (7.0 - 57336.1.9) <E44CA10F-E1E2-3DC5-BCF3-EF76649A0918>
/System/Library/Frameworks/Security.framework/Versions/A/Security

0x7fff89995000 -  0x7fff8999eff7 com.apple.DisplayServicesFW (3.0 - 378) <69821BC1-66F6-30FE-B706-134F3A9FCAD7>
/System/Library/PrivateFrameworks/DisplayServices.framework/Versions/A/DisplayServices

0x7fff8999f000 -  0x7fff89a15ff7 com.apple. MMCS (1.3 - 349) <C445C851-09F2-34F8-AA4C-D7135C15945F>
/System/Library/PrivateFrameworks/MMCS.framework/Versions/A/MMCS

0x7fff89a16000 - 0x7fff89a68fff com.apple.ImageCaptureCore (7.0 - 7.0) <74BC5DBA-FD63-31B9-A55B-C3C128852F1D>
/System/Library/Frameworks/ImageCaptureCore.framework/Versions/A/ImageCaptureCore

0x7fff89bb1000 -  0x7fff89f2cffb com.apple.VideoToolbox (1.0 - 1731.15.4) <72715A24-C3BC-35D8-8240-BBBD56E37090>
/System/Library/Frameworks/VideoToolbox.framework/Versions/A/VideoToolbox

0x7fff89f5e000 -  0x7fff89f66fff com.apple.frameworks.CoreDaemon (1.3 - 1.3)
<B0028247-B333-36F5-8098-8EC95E6C2B23>
/System/Library/PrivateFrameworks/CoreDaemon.framework/Versions/B/CoreDaemon

0x7fff89f99000 -  0x7fff89fc4ff7 com.apple.AddressBook.ContactsFoundation (8.0 - 2137)
<082A84FD-0076-3129-8193-2BCBOEAD15E2>
/System/Library/PrivateFrameworks/ContactsFoundation.framework/Versions/A/ContactsFoundation

0x7fff8a3c8000 -  0x7fff8a3f5fff libdispatch.dylib (500.1.5) <6B38497E-9448-3433-9D6B-6223F2A99431>
/usr/lib/system/libdispatch.dylib

0x7fff8a3fb000 -  0x7fff8a3fcffb libSystem.B.dylib (1225.1.1) <E48AAE3F-370E-34AE-AECA-4CA28F211479>
/usr/lib/libSystem.B.dylib

0x7fff8a3fd000 -  0x7fff8a3fdfff com.apple.Carbon (154 - 157) <DF95E7EB-1CFC-3C83-B114-60FFEEAE166E>
/System/Library/Frameworks/Carbon.framework/Versions/A/Carbon

0x7fff8a3fe000 -  0x7fff8a419fff com.apple.aps.framework (4.0 - 4.0) <A3971E50-DD87-3752-B37A-E58557AD5AF2>
/System/Library/PrivateFrameworks/ApplePushService.framework/Versions/A/ApplePushService

0x7fff8a41a000 - 0x7fff8a42bff7 libsystem_trace.dylib (200) <E26A91EA-AD67-3FA2-A3B6-79A93DCC716E>
/usr/lib/system/libsystem_trace.dylib

0x7fff8a449000 - 0x7fff8adacff3 libAVFAudio.dylib (161) <1E0384CE-FF8D-36EE-8A28-50CD673D3109>
/System/Library/Frameworks/AVFoundation.framework/Versions/A/Resources/libAVFAudio.dylib

0x7fff8a4b1000 - 0x7fff8ab56ff3 com.apple.JavaScriptCore (11601 - 11601.1.56)
<1FC92922-FBCD-3EA4-AE13-F2F05525A125>
/System/Library/Frameworks/JavaScriptCore.framework/Versions/A/JavaScriptCore

0x7fff8abc1000 -  0Ox7fff8ac32fff com.apple.ApplicationServices.ATS (377 - 394)
<BCFC24A8-6ACA-3B90-8896-019F38A649F6>
/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ATS.framework/Versions/A/ATS

0x7fff8ac33000 -  0x7fff8ac3aff7 libcompiler_rt.dylib (62) <253B36E5-572D-377D-AE99-A02CE32590E5>
/usr/lib/system/libcompiler_rt.dylib

0x7fff8ad54000 -  0x7fff8Bad57fff libsystem_sandbox.dylib (459.1.8) <2F36D536-482C-39EC-BAFD-72297728F0A4>
/usr/lib/system/libsystem_sandbox.dylib

0x7fff8ad58000 -  0x7fff8ad60fff libGFXShared.dylib (12.0.34.11) <011CCF06-3F8D-3695-A60F-E67F72FF1583>
/System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGFXShared.dylib

0x7fff8ad61000 - 0x7fff8adacffb com.apple.print.framework.PrintCore (11.0 - 472)
<34EA102A-D482-37FF-9C9B-E4FE4275913B>
/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/PrintCore.framework/Versions/A/PrintCore

0x7fff8adf6000 -  0x7fff8adfbfff com.apple.TCC (1.0 - 1) <8D7468B6-D5A3-3BF9-BD98-E8087AF0B61B>
/System/Library/PrivateFrameworks/TCC.framework/Versions/A/TCC

0x7fff8b1c5000 -  Ox7fff8b207f7 com.apple.Metal (54.26.3 - 54.26.3) <9000AE52-6638-309E-90A5-CB18C83A0A0E>
/System/Library/Frameworks/Metal.framework/Versions/A/Metal

0x7fff8b259000 -  0x7fff8b2c8ffb com.apple.datadetectorscore (7.0 - 460) <65672990-505F-3B1D-87FB-42BE532A4D07>
/System/Library/PrivateFrameworks/DataDetectorsCore.framework/Versions/A/DataDetectorsCore

0x7fff8b2c9000 -  Ox7fff8b319ff7 com.apple.Symbolication (1.4 - 58044) <BC1259C8-C671-3014-A9C4-85BC767EA962>
/System/Library/PrivateFrameworks/Symbolication.framework/Versions/A/Symbolication

0x7fff8b32d000 -  0x7fff8b354ff7 com.apple.ProtectedCloudStorage (1.0 - 1)
<EA83603A-7C4D-37F1-A416-064CD1B9D34B>
/System/Library/PrivateFrameworks/ProtectedCloudStorage.framework/Versions/A/ProtectedCloudStorage

0x7fff8b355000 -  0x7fff8b3e2fff com.apple.CorePDF (4.0 - 4) <EDC193AE-0D72-3BDD-807D-28D1A5942AE3>
/System/Library/PrivateFrameworks/CorePDF.framework/Versions/A/CorePDF

0x7fff8b3e3000 -  0x7fff8b46cff7 com.apple.PerformanceAnalysis (1.0 - 1) <E7C53B84-558F-39EA-949C-82F4163F6F 14>
/System/Library/PrivateFrameworks/PerformanceAnalysis.framework/Versions/A/PerformanceAnalysis

0x7fff8b46d000 -  0x7fff8b477fff com.apple.NetAuth (6.0 - 6.0) <ABBBE552-26E0-3682-8BFD-C59EC702F347>
/System/Library/PrivateFrameworks/NetAuth.framework/Versions/A/NetAuth

0x7fff8b478000 -  0x7fff8b479ffb libremovefile.dylib (41) <C7CFF5F2-AFFB-3C8D-BDB4-D66D50E657C0>
/usr/lib/system/libremovefile.dylib

0x7fff8b47a000 -  Ox7fff8b47cffb libutil.dylib (43) <E37832CF-5EE6-345A-BOEC-FFC8D2B67375> /ust/lib/libutil.dylib

0x7fff8b47d000 -  0x7fff8b47dfff com.apple.CoreServices (728.4 - 728.4) <208E32DA-E7D9-3B4F-A545-EE2BFB53696D>
/System/Library/Frameworks/CoreServices.framework/Versions/A/CoreServices

0x7fff8b47e000 -  0x7fff8b48afff com.apple.CacheDelete (1.0 - 1) <08FC118F-E007-35B1-8A26-23FDIFE6CA04>
/System/Library/PrivateFrameworks/CacheDelete.framework/Versions/A/CacheDelete

0x7fff8b508000 -  0x7fff8b5deff7 com.apple.DiskimagesFramework (10.11 - 414)
<AF08B107-F65D-36DD-9B94-A0C868C300BC>
/System/Library/PrivateFrameworks/Disklmages.framework/Versions/A/Disklmages

0x7fff8b5f1000 -  Ox7fff8b5f5fff libpam.2.dylib (20) <7F986CE8-EF74-3BC3-BB7E-5267E24EAFFE> /usr/lib/libpam.2.dylib

0x7fff8b5f6000 -  0x7fff8b613fff com.apple.pluginkit.framework (1.0 - 1) <0601C318-E10E-3A62-BCA1-67B3A6108F17>
/System/Library/PrivateFrameworks/PlugInKit.framework/Versions/A/PluginKit

0x7fff8b7fb000 -  0x7fff8b7fdff7 com.apple.xpc.ServiceManagement (1.0 - 1)
<0EA1807B-4F41-317D-A6C2-E6A23F201252>
/System/Library/Frameworks/ServiceManagement.framework/Versions/A/ServiceManagement

0x7fff8b7fe000 -  0x7fff8b85cfff com.apple.SystemConfiguration (1.14 - 1.14)
<FED4C250-DDEB-3CC3-B88D-FFA56E21425E>
/System/Library/Frameworks/SystemConfiguration.framework/Versions/A/SystemConfiguration

0x7fff8b85d000 -  0x7fff8b866ffb libsystem_notify.dylib (149) <56ABC155-CB99-30A8-A8B1-C204B5615092>
/usr/lib/system/libsystem_notify.dylib

0x7fff8c1f1000 -  Ox7fff8c1f9fef libsystem_platform.dylib (73.1.1) <3F4D2390-E3DE-3C24-A515-95DFAC8671C4>
/usr/lib/system/libsystem_platform.dylib
0x7fff8c1fa000 -  Ox7fff8c212fc7 libcompression.dylib (23) <803C89B9-1E7D-36

History

#1 - 2015-10-11 01:47 PM - Michael Kirk
- File ROADSAFE_SWITRS weird_points.jpg added

Attached screenshot of "weird" points that crash QGIS when selected using the 'select by rectangular area' tool

#2 - 2015-10-11 01:58 PM - Michael Kirk
- File Screen_Shot_2015-10-11_at_1.59.20_PM.png added

Actually, | think the "weird" geometry is a read herring. QGIS is crashing when | select any of the features loaded from either the OpenFileGDB or
ESRIGDB.

The GDB I'm loading has three layers (see screenshot). Collisions (Geometry: Point), Parties (Geometry: None), and Victims (Geometry: None). When |
load just the Collisions layer (points) | can select any set of points (including the ones with weird geometry). When | load all three layers, | cannot seem to
select any collision points without crashing.

#3 - 2015-10-12 08:12 AM - Saber Razmjooei

- Category set to Data Provider

- Subject changed from GQIS crashes when selecting features from OpenFileGDB with weird geometry to QGIS crashes when selecting features from
OpenFileGDB with weird geometry

#4 - 2015-10-12 08:26 AM - Saber Razmjooei

- Affected QGIS version changed from 2.10.1 to master
- Operating System deleted (Mac)

- OS version deleted (10.11)

Confirmed with master, 2.8.3 and 2.10.1 under Windows.

#5 - 2015-10-13 04:43 PM - Jiirgen Fischer
- Category changed from Data Provider to Data Provider/OGR

#6 - 2016-02-01 08:42 AM - Sandro Santilli
- Status changed from Open to In Progress
- Assignee set to Sandro Santilli

#7 - 2016-02-01 08:49 AM - Sandro Santilli

- Target version set to Version 2.14

- Status changed from In Progress to Feedback
- Resolution set to fixed/implemented
| cannot reproduce with qgis-master commit:5ba6e68, would assume fixed by recent fix for #12416 -- Can you confirm, Michael ?

#8 - 2016-02-08 07:08 AM - Sandro Santilli
- Status changed from Feedback to Closed

Assuming fixed.

#9 - 2016-02-11 11:10 AM - Michael Kirk
- Status changed from Closed to Reopened

Just got time to reverify that it's still an issue.

Steps to reproduce:

@

Download gdb file from:
https://drive.google.com/file/d/0BwxbgbvwGK 1ZzBTY3Fab0ISaEQ/view?usp=sharing

]

Open freshly built QGIS

Add vector layer

choose directory and "Open File GDB"

navigate to downloaded GDB file, press "choose"
Select all three layers to import

Use "select features by area" tool and click/drag-to-highlight all points on null island.

App crashes (sometimes it happens immediately, sometimes | click/drag-to-highlight twice before it crashes.

@

| just reproduced this 6 of 6 times.

2
Stack trace from master as of an hour ago (c8161aac88df75f9e9510cbd3fad050d29984b42)

Process: QGIS [26897]
Path: /Applications/QGIS.app/Contents/MacOS/QGIS
Identifier: org.qgis.qgis2

Version: 2.12.0 (2.12.0 [exported])

Code Type: X86-64 (Native)

Parent Process: 2?7 [1]

Responsible: QGIS [26897]

User ID: 501

Date/Time: 2016-02-11 11:04:15.154 -0800
OS Version: Mac OS X 10.11.3 (15D21)
Report Version: 11

Anonymous UUID: 40CA093A-9ACB-EB22-A94E-240FB91A0740

Sleep/Wake UUID:  9F409C44-0E6E-4A3A-B1AD-4ADB39820C95

Time Awake Since Boot: 330000 seconds
Time Since Wake: 4600 seconds

System Integrity Protection: enabled

Crashed Thread: 0 Dispatch queue: com.apple.main-thread

Exception Type: EXC_BAD_ACCESS (SIGSEGV)

Exception Codes: ~ KERN_INVALID_ADDRESS at 0x0000000000000000
Exception Note: EXC_CORPSE_NOTIFY

VM Regions Near 0:

-->

_ TEXT 0000000107049000-000000010725c000 [ 2124K] r-x/rwx SM=COW /Applications/QGIS.app/Contents/MacOS/QGIS

Thread 0 Crashed:: Dispatch queue: com.apple.main-thread

0 libFileGDBAPI.dylib 0x000000011b33088a ShapeCompressor::GetFeatureExtent(unsigned char*, int, WKSEnvelope&) + 4
1 libFileGDBAPI.dylib 0x000000011b3ba174 StandardDatafile::GetFeatureExtent(ScanContext&, IEnvelope*) + 230
2 libFileGDBAPI.dylib 0x000000011b3ba31c StandardDatafile::GetShape(ScanContext&, |Geometry5*) + 268

3 libFileGDBAPI.dylib 0x000000011b3ba674 StandardDatafile::FindMatchingRow(ScanContext&) + 218

4 libFileGDBAPI.dylib 0x000000011b3bae3e StandardDatafile::ReadNextRow(ScanContext&, FieldValue*, int*) + 102
5 libFileGDBAPI.dylib 0x000000011b3b0038 SqlSelectCommand::Next() + 86

6 libFileGDBAPI.dylib 0x000000011b2cbe7a FileGDBAPI::EnumRows::Next(FileGDBAPI::Row&) + 46

7 ogr_FileGDB.dylib 0x000000011b29854b FGdbBaseLayer::GetNextFeature() + 285

8 org.gdal.gdal 0x00000001096fe4c6 OGRMutexedLayer::GetNextFeature() + 56

9 org.gdal.gdal 0x00000001096cc3al OGR_L_GetNextFeature + 17

10 libogrprovider.so 0x000000011b2696bf QgsOgrFeaturelterator::fetchFeature(QgsFeature&) + 163

11 org.qgis.qgis2_core 0x000000010beafb79 QgsAbstractFeaturelterator::nextFeature(QgsFeature&) + 89

12 org.qgis.qgis2_core 0x000000010c0156d2 QgsVectorLayerFeaturelterator::fetchFeature(QgsFeature&) + 366

13 org.qgis.qgis2_core 0x000000010beafb79 QgsAbstractFeaturelterator::nextFeature(QgsFeature&) + 89

14 libqgis_app.2.12.0.dylib 0x000000010abba745 QgsMapToolSelectUtils::setSelectFeatures(QgsMapCanvas*, QgsGeometry*, bool,
bool, bool) + 808
15 libggis_app.2.12.0.dylib 0x000000010abb955f QgsMapToolSelectFeatures::canvasReleaseEvent(QgsMapMouseEvent*) + 153

16 org.qgis.qgis2_gui 0x000000010b4430c5 QgsMapCanvas::mouseReleaseEvent(QMouseEvent*) + 237
17 QtGui 0x000000010cb7040b QWidget::event(QEvent*) + 2427

18 QtGui 0x000000010cf0640c QFrame::event(QEvent*) + 44

19 QtGui 0x000000010cf92bb7 QAbstractScrollArea::viewportEvent(QEvent*) + 23

20 QtGui 0x000000010d13eeeb QGraphicsView::viewportEvent(QEvent*) + 123

21 QtGui 0x000000010cf94f40 QAbstractScrollAreaFilter::eventFilter(QObject*, QEvent*) + 48
22 QtCore 0x000000010c851137 QCoreApplicationPrivate::sendThroughObjectEventFilters(QObject”, QEvent*) + 151

23 QtGui 0x000000010cb18b3e QApplicationPrivate::notify_helper(QObject*, QEvent*) + 142

24 QtGui 0x000000010cb1ef10 QApplication::notify(QObject*, QEvent*) + 8752

25 org.qgis.qgis2_core 0x000000010bd73415 QgsApplication::notify(QObject*, QEvent*) + 93

26 QtCore 0x000000010c85168c QCoreApplication::notifylnternal(QObject*, QEvent*) + 124

27 QtGui 0x000000010cb2029d QApplicationPrivate::sendMouseEvent(QWidget*, QMouseEvent*, QWidget*, QWidget*,
QWidget**, QPointer<QWidget>&, bool) + 333

28 QtGui 0x000000010cacc68b qt_mac_handleMouseEvent(NSEvent*, QEvent:: Type, Qt::MouseButton, QWidget*, bool) + 763
29 com.apple.AppKit 0x00007fff8aae6067 -[NSWindow _handleMouseUpEvent:isDelayedEvent:] + 119

30 com.apple.AppKit 0x00007fff8aaebfad -[NSWindow _reallySendEvent:isDelayedEvent:] + 212

31 com.apple.AppKit 0x000071ff8a43f735 -[NSWindow sendEvent:] + 517

32 QtGui 0x000000010cac16f7 -[QCocoaWindow sendEvent:] + 87

33 com.apple.AppKit 0x00007fff8a43be49 -[NSApplication sendEvent:] + 2540

34 QtGui 0x000000010cac67d4 -[QNSApplication sendEvent:] + 84

35 com.apple.AppKit 0x00007fff8a36f03a -[NSApplication run] + 796

36 QtGui 0x000000010cad1640 QEventDispatcherMac::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) + 1824
37 QtCore 0x000000010c8505a4 QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) + 68

38 QtCore 0x000000010c850954 QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) + 324

39 QtCore 0x000000010c8531cc QCoreApplication::exec() + 188

40 org.qgis.qgis2 0x00000001070556f8 main + 20676

41 libdyld.dylib 0x00007fff869a75ad start + 1

Thread 1:: Dispatch queue: com.apple.libdispatch-manager

0 libsystem_kernel.dylib 0x00007fff95f92ff6 kevent_qos + 10

1 libdispatch.dylib 0x00007fff86f81099 _dispatch_mgr_invoke + 216
2 libdispatch.dylib 0x00007fff86f80d01 _dispatch_mgr_thread + 52
Thread 2:

0 libsystem_kernel.dylib 0x00007fff95f926de __ workqg_kernreturn + 10

1 libsystem_pthread.dylib 0x00007fff8ddc6729 _pthread_waqthread + 1283
2 libsystem_pthread.dylib 0x00007fff8ddc4365 start_wqthread + 13

Thread 3:

0 libsystem_kernel.dylib 0x00007fff95f926de __workqg_kernreturn + 10

1 libsystem_pthread.dylib 0x00007fff8ddc6729 _pthread_wqthread + 1283
2 libsystem_pthread.dylib 0x00007fff8ddc4365 start_wqthread + 13

Thread 4:: com.apple.NSEventThread

libsystem_kernel.dylib 0x000071ff95f8¢c386 mach_msg_trap + 10
libsystem_kernel.dylib 0x00007fff95f8b7c7 mach_msg + 55
com.apple.CoreFoundation 0x00007fff85de6624 _ CFRunLoopServiceMachPort + 212
com.apple.CoreFoundation 0x00007fff85de5aec _ CFRunLoopRun + 1356
com.apple.CoreFoundation 0x00007fff85de5338 CFRunLoopRunSpecific + 296
com.apple.AppKit 0x00007fff8a438065 _NSEventThread + 149
libsystem_pthread.dylib 0x00007fff8ddc6c13 _pthread_body + 131
libsystem_pthread.dylib 0x00007fff8ddc6b90 _pthread_start + 168
libsystem_pthread.dylib 0x00007fff8ddc4375 thread_start + 13

0o N o o0~ W N = O

Thread 5:: QCA::KeyStoreThread

0 libsystem_kernel.dylib 0x00007fff95f92176 __select + 10

1 QtCore 0x000000010c882dc4 qt_safe_select(int, fd_set*, fd_set*, fd_set*, timeval const*) + 388

2 QtCore 0x000000010c887164 QEventDispatcherUNIXPrivate::doSelect(QFlags<QEventLoop::ProcessEventsFlag>, timeval*)
+388
QtCore
QtCore
QtCore

QtCore
Thread 6:: QThread

0x000000010c887624 QEventDispatcherUNIX::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) + 308

0x000000010c8505a4 QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) + 68

0x000000010c850954 QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) + 324
0x000000010d9e729e QCA::SyncThread::run() + 174

0x000000010c7373f4 QThreadPrivate::start(void*) + 356

libsystem_pthread.dylib 0x00007fff8ddc6c13 _pthread_body + 131
libsystem_pthread.dylib 0x00007fff8ddc6b90 _pthread_start + 168
0 libsystem_pthread.dylib 0x00007fff8ddc4375 thread_start + 13

0 libsystem_kernel.dylib 0x000071ff95f92176 __select + 10

1 QtCore 0x000000010c882dc4 qt_safe_select(int, fd_set*, fd_set*, f{d_set*, timeval const*) + 388

2 QtCore 0x000000010c887164 QEventDispatcherUNIXPrivate::doSelect(QFlags<QEventLoop::ProcessEventsFlag>, timeval*)
+ 388

3 QtCore 0x000000010c887624 QEventDispatcherUNIX::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) + 308
4 QtCore 0x000000010c8505a4 QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) + 68

5 QtCore 0x000000010c850954 QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) + 324

6 QtCore 0x000000010c734788 QThread::exec() + 312

7 QtCore 0x000000010c7373f4 QThreadPrivate::start(void*) + 356

8 libsystem_pthread.dylib 0x00007fff8ddc6c13 _pthread_body + 131

9 libsystem_pthread.dylib 0x00007fff8ddc6b90 _pthread_start + 168

10 libsystem_pthread.dylib 0x00007fff8ddc4375 thread_start + 13

Thread 7:: QThread

0 libsystem_kernel.dylib 0x000071ff95f92176 __select + 10

1 QtCore

2 QtCore

388
QtCore
QtCore
QtCore
QtCore
QtCore

= ©O© 0o N o 0o b~ W +

Thread 8:

o 00~ W N =+ O

0x000000010c882dc4 qt_safe_select(int, fd_set*, fd_set*, fd_set*, timeval const*) + 388
0x000000010c887164 QEventDispatcherUNIXPrivate::doSelect(QFlags<QEventLoop::ProcessEventsFlag>, timeval*)

0x000000010c887624 QEventDispatcherUNIX::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) + 308
0x000000010c8505a4 QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) + 68
0x000000010c850954 QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) + 324
0x000000010c734788 QThread::exec() + 312

0x000000010c7373f4 QThreadPrivate::start(void*) + 356

libsystem_pthread.dylib 0x00007fff8ddc6c13 _pthread_body + 131
libsystem_pthread.dylib 0x00007fff8ddc6b90 _pthread_start + 168
0 libsystem_pthread.dylib 0x00007fff8ddc4375 thread_start + 13

libsystem_kernel.dylib 0x00007fff95f91eb2 __ psynch_cvwait + 10
libsystem_pthread.dylib 0x00007fff8ddc7150 _pthread_cond_wait + 767
QtWebKit
QtWebKit
libsystem_pthread.dylib 0x00007fff8ddc6c13 _pthread_body + 131
libsystem_pthread.dylib 0x00007fff8ddc6b90 _pthread_start + 168
libsystem_pthread.dylib 0x00007fff8ddc4375 thread_start + 13

0x0000000108191765 WTF::TCMalloc_PageHeap::scavengerThread() + 117
0x00000001081919f9 WTF::TCMalloc_PageHeap::runScavengerThread(void*) + 9

Thread 9:: QProcessManager
0 libsystem_kernel.dylib 0x000071ff95f92176 __select + 10

1 QtCore
QtCore

a ~ W N

2025-04-27

0x000000010c824280 QProcessManager::run() + 96
0x000000010c7373f4 QThreadPrivate::start(void*) + 356

libsystem_pthread.dylib 0x00007fff8ddc6c13 _pthread_body + 131
libsystem_pthread.dylib 0x00007fff8ddc6b90 _pthread_start + 168
libsystem_pthread.dylib 0x00007fff8ddc4375 thread_start + 13
Thread 10:: com.apple.CFSocket.private

0 libsystem_kernel.dylib 0x00007fff95f92176 __select + 10
com.apple.CoreFoundation 0x00007fff85e3216a __ CFSocketManager + 762
libsystem_pthread.dylib 0x00007fff8ddc6c13 _pthread_body + 131
libsystem_pthread.dylib 0x00007fff8ddc6b90 _pthread_start + 168
libsystem_pthread.dylib 0x00007fff8ddc4375 thread_start + 13

A WO N =

Thread 11:: Thread (pooled)

0 libsystem_kernel.dylib 0x00007fff95f91eb2 __ psynch_cvwait + 10

1 libsystem_pthread.dylib 0x00007fff8ddc7150 _pthread_cond_wait + 767

2 QtCore 0x000000010c738410 QWaitCondition::wait(QMutex™, unsigned long) + 272
3 QtCore 0x000000010c72a4d8 QThreadPoolThread::run() + 632

4 QtCore 0x000000010c7373f4 QThreadPrivate::start(void*) + 356

5 libsystem_pthread.dylib 0x00007fff8ddc6c13 _pthread_body + 131

6 libsystem_pthread.dylib 0x00007fff8ddc6b90 _pthread_start + 168

7 libsystem_pthread.dylib 0x00007fff8ddc4375 thread_start + 13

Thread 12:

0 libsystem_kernel.dylib 0x000071ff95f926de __workqg_kernreturn + 10

1 libsystem_pthread.dylib 0x00007fff8ddc6729 _pthread_waqthread + 1283
2 libsystem_pthread.dylib 0x00007fff8ddc4365 start_wqthread + 13

Thread 13:

Thread 0 crashed with X86 Thread State (64-bit):

rax: 0x00007fff58bb4698 rbx: 0x00007fbc38ad46e0 rcx: 0x00007fff58bb4698 rdx: 0x0000000000007fff
rdi: 0x0000000000000000 rsi: 0x00007fbcab7dc908 rbp: 0x000071ff58bb4680 rsp: 0x00007fff58bb4680
r8: 0x0000000000000000 r9: 0x00007fbc38ad46a0 r10: Oxfiffffffffffffff r11: 0x0000000000000201

r12: 0x000000007613cd08 r13: 0x0000000000007fff r14: 0x00007fbc38bb7d38 r15: 0x00007fbc38ba6e90
rip: 0x000000011b33088a rfl: 0x0000000000010202 cr2: 0x0000000000000000

Logical CPU: 2
Error Code:  0x00000004
Trap Number: 14

Binary Images:

0x107049000 - 0x10725bff7 +org.qgis.qgis2 (2.12.0 - 2.12.0 [exported]) <4A121CA8-B3E7-3464-8E2B-8098EB81721E>
/Applications/QGIS.app/Contents/MacOS/QGIS

0x107264000 - 0x107304fff +libqwt.dylib (6.0.2) <97EDEF52-44AD-3EB3-8F65-2D7D7A53DF68>
/Applications/QGIS.app/Contents/MacOS/lib/libqwt.dylib

0x107350000 - 0x107387ff7 +QtSql (4.8.6) <51BC724E-E8E2-0F1C-FD2A-927B8C9CA75E>
/Applications/QGIS.app/Contents/Frameworks/QtSql.framework/Versions/4/QtSql

0x1073a1000 - 0x108988fff +QtWebKit (4.9.4) <99D6C846-B581-5F2D-39FD-37003F4070F5>
/Applications/QGIS.app/Contents/Frameworks/QtWebKit.framework/Versions/4/QtWebKit

0x10926e000 - 0x10a41cfef +org.gdal.gdal (1.11.3 - GDAL/OGR 1.11.3-1) <5SDFEA19C-CCBF-31AB-B573-660FC14F5091>
/Library/Frameworks/GDAL.framework/Versions/1.11/GDAL

0x10aa0b000 - 0x10b075ff7 +libggis_app.2.12.0.dylib (0) <F5096AF6-B099-3FB8-882F-64544EA380AA>
/Applications/QGIS.app/Contents/MacOS/lib/libggis_app.2.12.0.dylib

0x10b208000 -  0x10b71fff7 +org.qgis.qgis2_gui (2.12.0 - qgis_gui 2.12.0) <E92922B7-9F8E-39C5-8E30-65EDC22EC816>
/Applications/QGIS.app/Contents/Frameworks/qgis_gui.framework/Versions/2.12/qgis_gui

0x10b911000 - 0x10b971fff +org.qgis.qgis2_analysis (2.12.0 - qgis_analysis 2.12.0) <E0349F7D-C3CB-3F52-A68C-538432C46FFA>
/Applications/QGIS.app/Contents/Frameworks/qgis_analysis.framework/Versions/2.12/qgis_analysis
0x10b994000 - 0x10b9b2ff7 +libpg.dylib (5.7) <7E067528-4323-378E-91DE-20784DF87DA4>
/Applications/QGIS.app/Contents/MacOS/lib/libpg.dylib

0x10b9bf000 - 0x10bbbefff +libgscintilla2.dylib (12) <276463D4-097B-3885-8961-947D5D3CD8FB>
/Applications/QGIS.app/Contents/MacOS/lib/libgscintilla2.dylib

0x10bc2d000 - 0x10c4aaff7 +org.qgis.qgis2_core (2.12.0 - qgis_core 2.12.0) <4E892D08-90E3-3EE2-A232-EBC7DB479D1B>
/Applications/QGIS.app/Contents/Frameworks/qgis_core.framework/Versions/2.12/qgis_core

0x10c6b5000 - 0x10c6f4fef +QtXml (4.8.6) <26FCFD00-58E5-513F-9AB9-BCE683BDCB33>
/Applications/QGIS.app/Contents/Frameworks/QtXml.framework/Versions/4/QtXml

0x10c70f000 - 0x10c9e9ff7 +QtCore (4.8.6) <1FIB18AC-DO0D-DF75-21A2-73D7486626D5>
/Applications/QGIS.app/Contents/Frameworks/QtCore.framework/Versions/4/QtCore

0x10ca8e000 - 0x10d4affff +QtGui (4.8.6) <B141F28A-1C3B-5D25-3D91-EE34ECD3A017>
/Applications/QGIS.app/Contents/Frameworks/QtGui.framework/Versions/4/QtGui

0x10d77b000 - 0x10d8bdfff +QtNetwork (4.8.6) <5AFC2B29-7970-8375-2F5B-CCAC7F739E3E>
/Applications/QGIS.app/Contents/Frameworks/QtNetwork.framework/Versions/4/QtNetwork

0x10d922000 - 0x10d972fef +QtSvg (4.8.6) <A2152B16-9120-278B-2913-020DE171F1CB>
/Applications/QGIS.app/Contents/Frameworks/QtSvg.framework/Versions/4/QtSvg

0x10d995000 - 0x10d995fe7 +cl_kernels (??7?) <30A9E2AA-9115-4C57-AED6-CD0824A0FDCA> cl_kernels

0x10d998000 - 0x10da4cfff + (??7? - ???) <90F8CBC3-7DCD-32B1-8502-FDEC52A7C30B>
/Applications/QGIS.app/Contents/Frameworks/qca.framework/Versions/2.1.0/qca

0x10dab5000 - 0x10daf3ff7 +org.maptools.proj (4.9.2 - PROJ 4.9.2-2) <6583FFD4-E70A-380F-8EC1-2518261FB968>
/Library/Frameworks/PROJ.framework/Versions/4/PROJ

0x10db02000 - 0x10dbe9fff +org.osgeo.geos (3.5.0 - GEOS 3.5.0-1) <9E2CA2A0-2AF8-3FC9-A049-A2E2450B3A47>
/Library/Frameworks/GEOS.framework/Versions/3/GEOS

0x10dc95000 - 0x10e368ff7 +org.sqlite.sqlite3 (3.8.11.1 - SQLite3 3.8.11.1-1) <83C9CCF2-52FA-3C1B-849D-0925E0919DF4>
/Library/Frameworks/SQLite3.framework/Versions/C/SQLite3

0x10e3¢8000 - 0x10e3ffff7 libiodbc.2.dylib (42.5) <9B8B0C68-36B7-344D-AF2C-501DF0643C3B> /ust/lib/libiodbe.2.dylib

0x10e410000 - 0x10e41bfff libiodbcinst.2.dylib (42.5) <C6FCDAA8-5F1B-3E05-84D4-E2FAC681AF99> /usr/lib/libiodbcinst.2.dylib

0x10e424000 - 0x10e596fff +com.kyngchaos.UnixlmagelO (1.5.1 - UniximagelO 1.5.1)
<AFEECB2C-1D3F-321F-801A-FBAB8ASE3FAF> /Library/Frameworks/UnixlmagelO.framework/Versions/E/UniximagelO

0x10e5e4000 - 0x10e614fff +libogdi.dylib (0) <E044DC56-8BAD-3CA0-9702-5C2C2523FD7E>
/Library/Frameworks/GDAL.framework/Versions/1.11/Libraries/libogdi.dylib

0x10e652000 - 0x10e65afff +libintl.dylib (10.3) <FD14D806-084F-38FA-A78B-5BBE277E37D4>
/Applications/QGIS.app/Contents/MacOS/lib/libintl.dylib

0x10e8f5000 - 0x10e910ffb com.apple.security.csparser (3.0 - 57337.20.44) <EB34BC6C-1790-3E13-A0CA-D044A290E069>
/System/Library/Frameworks/Security.framework/Pluglins/csparser.bundle/Contents/MacOS/csparser

0x10e944000 - 0x10e959ff3 libCGInterfaces.dylib (317.9) <473434E1-5269-3077-A047-DO5E024AE631>
/System/Library/Frameworks/Accelerate.framework/Frameworks/vimage.framework/Versions/A/Libraries/libCGInterfaces.dylib

0x10e9ba000 - 0x10e9c8fff +libcoordinatecaptureplugin.so (0) <A4D0575B-7620-3BE9-BAOF-C8D51EDA685C>
/Applications/QGIS.app/Contents/Pluglns/qgis/libcoordinatecaptureplugin.so

0x10e9d1000 - 0x10e9d6ff7 + (??7 - 2??) <0O5DBCA35-7719-362F-AA46-10F73BA8B0EES>
/Applications/QGIS.app/Contents/Frameworks/OpenThreads.framework/Versions/3/OpenThreads

0x10e9dc000 - 0x10e9e2fff +libgrass_|.6.4.4.dylib (6.4) <OBEF3159-8EDE-3039-B56B-2FDODA6A901B>
/Applications/QGIS.app/Contents/MacOS/grass/lib/libgrass_1.6.4.4.dylib

0x111042000 - 0x1110e7fff ColorSyncDeprecated.dylib (470.2) <9D376A26-4D17-37CB-9D02-2E0DEE92EC93>
/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ColorSync.framework/Versions/A/Resources/ColorSyncDeprecated.dylib
recated.dylib

0x111c98000 - 0x111c9cfff com.apple.agl (3.3.1 - AGL-3.3.1) <8B380B9E-3E00-3065-842E-41F4421D8D5A>
/System/Library/Frameworks/AGL.framework/Versions/A/AGL

0x111ca4000 - 0x111ca9fff +libgrass_dbmiclient.6.4.4.dylib (6.4) <OD8F2B4B-822C-3414-AF9D-1CC796FDODF9>
/Applications/QGIS.app/Contents/MacOS/grass/lib/libgrass_dbmiclient.6.4.4.dylib

0x111cae000 - 0x111caefff +libgrass_linkm.6.4.4.dylib (6.4) <AOECC2A4-5103-3218-8E16-5D85C277DESE>
/Applications/QGIS.app/Contents/MacOS/grass/lib/libgrass_linkm.6.4.4.dylib

0x1162b2000 - 0x1162b8ff7 +libqgif.dylib (0) <B175C600-AC3D-67F5-A568-3A4F83D2E526>
/Applications/QGIS.app/Contents/Pluglns/imageformats/libqgif.dylib

0x1162bd000 - 0x1162c3ff7 +libgico.dylib (0) <D337D074-DB20-0C4F-8673-DBE0246561E4>
/Applications/QGIS.app/Contents/Plugins/imageformats/libgico.dylib

0x1162c9000 - 0x116304ff7 +libgjpeg.dylib (0) <C40B394B-B589-1DFF-74FC-84A5A7E68A26>
/Applications/QGIS.app/Contents/Plugins/imageformats/libgjpeg.dylib

0x11630d000 - 0x116312ff7 +libgsvg.dylib (0) <283CEB63-BE2E-68F5-EC33-BE58F0E404D4>
/Applications/QGIS.app/Contents/Pluglns/imageformats/libgsvg.dylib

0x116317000 - 0x11636¢fe7 +libgtiff.dylib (0) <22AA445D-5E20-42A8-D2A9-C8ESESDF880E>
/Applications/QGIS.app/Contents/Pluglns/imageformats/libgtiff.dylib

0x117df9000 - 0x117e02fff +libgsvgicon.dylib (0) <7EBB273C-A14F-127C-D2BC-AFA06756E73F>
/Applications/QGIS.app/Contents/Plugins/iconengines/libgsvgicon.dylib

0x117e08000 - 0x117e0cfff +libgca-logger.dylib (0) <210B8FE0-08C8-3BDD-A522-5F5C5CEDADFA>
/Applications/QGIS.app/Contents/Pluglns/crypto/libgca-logger.dylib

0x117e12000 - 0x117e47ff7 +libgca-ossl.dylib (0) <7F535AAD-660E-3D24-B75F-27622F712531>
/Applications/QGIS.app/Contents/Pluglns/crypto/libgca-ossl.dylib

0x117e6b000 - 0x117e7ffff +libgca-softstore.dylib (0) <3940A518-41A3-380A-9CBD-FB5F957B9BD7>
/Applications/QGIS.app/Contents/Pluglins/crypto/libgca-softstore.dylib

0x117e8c000 - 0x117e98ff7 +libbasicauthmethod.so (0) <7466AD96-1EF8-3697-BBFD-52DACF74CDFE>
/Applications/QGIS.app/Contents/Pluglns/qgis/libbasicauthmethod.so

0x117ea0000 - 0x117eabfff +libidentcertauthmethod.so (0) <ED9722A0-E380-3C65-821A-D1B098706BEB>
/Applications/QGIS.app/Contents/Pluglns/qgis/libidentcertauthmethod.so

0x117eb4000 - 0x117ec2fff +libpkcs12authmethod.so (0) <3A4325DD-D237-3FD8-A01A-72E9BDC25673>
/Applications/QGIS.app/Contents/Plugins/qgis/libpkcs12authmethod.so

0x117ecc000 - 0x117edafff +libpkipathsauthmethod.so (0) <B20C2DD4-ED41-3BD8-824D-AB2EFD5C4132>
/Applications/QGIS.app/Contents/Pluglns/qgis/libpkipathsauthmethod.so

0x117ee4000 - 0x117f6afef +libgsqlite.dylib (0) <FF5A8187-1A80-E204-F15F-690BC6FBSEB6>
/Applications/QGIS.app/Contents/Pluglns/sgldrivers/libgsglite.dylib

0x118528000 - 0x118566ff7 +libdelimitedtextprovider.so (0) <53BE5E19-3BAD-3DFD-B411-F568E6467674>
/Applications/QGIS.app/Contents/Pluglns/qgis/libdelimitedtextprovider.so

0x11857a000 - 0x1185a7ff7 +libdxf2shpconverterplugin.so (0) <487F973B-0C6B-3541-883C-76D25B749560>
/Applications/QGIS.app/Contents/Pluglns/qgis/libdxf2shpconverterplugin.so

0x1185b7000 - 0x1185f3ff7 +libevis.so (0) <C1B978FD-CDEF-3FF2-A3F1-44489CEA2075>
/Applications/QGIS.app/Contents/Pluglns/qgis/libevis.so

0x118607000 - 0x118631ff7 +libgdalprovider.so (0) <CFDD0OD34-C17F-3966-ACE9-512C6E07E981>
/Applications/QGIS.app/Contents/Plugins/qgis/libgdalprovider.so

0x118641000 - 0x118698fff +libgeometrycheckerplugin.so (0) <OF2797FE-D8D6-3C74-A302-B23CB4184EFC>
/Applications/QGIS.app/Contents/Plugins/qgis/libgeometrycheckerplugin.so

0x1186¢0000 - 0x1186daff7 +libgeometrysnapperplugin.so (0) <C13FEAEE-AOED-3189-9319-BD2803E7348C>
/Applications/QGIS.app/Contents/Pluglns/qgis/libgeometrysnapperplugin.so

0x1186€b000 - 0x118765ff7 +libgeorefplugin.so (0) <23959D30-CAD3-363B-BA71-CD45912F2958>
/Applications/QGIS.app/Contents/Plugins/qgis/libgeorefplugin.so

0x118791000 - 0x11892bfff +org.gnu.gsl (1.16 - GSL 1.16-1) <77B0F3A9-3D20-3975-9EDE-3A69F00DD23F>
/Applications/QGIS.app/Contents/Frameworks/GSL.framework/Versions/1/GSL

0x118988000 - 0x1189c4ff7 +libglobeplugin.so (0) <81E6E7EB-5D69-3EF8-984B-C61B1C680A3D>
/Applications/QGIS.app/Contents/Pluglns/qgis/libglobeplugin.so

0x1189e4000 - 0x118ac7fff +QtOpenGL (4.8.6) <122984D3-448B-9019-29B3-1685D1478FCA>
/Applications/QGIS.app/Contents/Frameworks/QtOpenGL.framework/Versions/4/QtOpenGL

0x118b11000 - 0x118ccafff + (??? - ???) <CABF8CB8-46D2-3C05-945B-5E90DFF60DA8>
/Applications/QGIS.app/Contents/Frameworks/osgDB.framework/Versions/3/osgDB

0x118de9000 - 0x118e4bfff + (??? - ??7) <FF78703F-E6E5-3079-A70F-DCAC9E923CC7>
/Applications/QGIS.app/Contents/Frameworks/osgGA.framework/Versions/3/0sgGA

0x118e96000 - 0x1191ddfff + (??? - ???) <D51FA64B-0055-3FF0-9B9B-98BCF317FBBC>
/Applications/QGIS.app/Contents/Frameworks/osgUtil.framework/Versions/3/osgUtil
0x11942e000 - 0x119851fff + (7?7 - ???) <B4AA5FB9-88D6-3D35-B961-5A2C9B6374A3>
/Applications/QGIS.app/Contents/Frameworks/osg.framework/Versions/3/0sg

0x119aa9000 - 0x119aceff7 + (??? - ???) <4FB70741-14D6-3713-AE90-31930379CFE6>
/Applications/QGIS.app/Contents/Frameworks/osgQt.framework/Versions/3/osgQt

0x119aeb000 - 0x119c3aff7 + (??7? - 7??) <50BC52EA-6F1A-3571-81F4-COF4033B0AA8>
/Applications/QGIS.app/Contents/Frameworks/osgViewer.framework/Versions/3/osgViewer

0x119cf7000 - 0x119e96ff7 + (?77? - 7??) <9E2CA48D-B448-37AB-84A6-D679D3BOEFIE>
/Applications/QGIS.app/Contents/Frameworks/osgEarth.framework/Versions/2/osgEarth

0x119f5f000 - 0x119fdcfff + (??7 - ???) <BAODFC62-8A13-35B6-A54E-BA477ECB0021>
/Applications/QGIS.app/Contents/Frameworks/osgEarthFeatures.framework/Versions/2/osgEarthFeatures

0x11a02b000 - 0x11a190fff + (??? - ???) <B17DFC5D-9FC1-3B68-99D9-E3FBCF33598D>
/Applications/QGIS.app/Contents/Frameworks/osgEarthUtil.framework/Versions/2/osgEarthUtil

0x11a229000 - 0x11a28bff7 + (??7 - ?77?) <842089A1-0DCC-329B-8E21-1AAFD3614EEA>
/Applications/QGIS.app/Contents/Frameworks/osgEarthQt.framework/Versions/2/osgEarthQt

0x11a2d2000 - 0x11a353ff7 + (7?7 - ???) <BA492187-2A3B-3789-9CF2-DBD6D35625C7>
/Applications/QGIS.app/Contents/Frameworks/osgWidget.framework/Versions/3/osgWidget

0x11a3a7000 - 0x11a45bff7 + (7?7 - ??7) <A81BB11F-BA9D-3930-9D0A-89FE2C842769>
/Applications/QGIS.app/Contents/Frameworks/osgText.framework/Versions/3/osgText

0x11a4d5000 - 0x11abebfff + (??7? - ???) <20B3FC97-47E1-3EAA-B613-ESEEC338128E>
/Applications/QGIS.app/Contents/Frameworks/osgSim.framework/Versions/3/0sgSim

0x11a6a5000 - 0x11a706ff7 + (??? - ???) <69732699-B125-3A2F-9957-8F81033F8811>
/Applications/QGIS.app/Contents/Frameworks/osgTerrain.framework/Versions/3/osgTerrain

0x11a74a000 - 0x11a791ff7 + (7?7 - ?7??) <D870C06A-0542-3252-B033-124BA9E71A95>
/Applications/QGIS.app/Contents/Frameworks/osgFX.framework/Versions/3/osgFX

0x11a7c0000 - 0x11a8c7fff + (??? - ?2?7) <AEEFDEDA-D18A-3549-B503-6C9FB810A030>
/Applications/QGIS.app/Contents/Frameworks/osgShadow.framework/Versions/3/osgShadow

0x11a96e000 - 0x11a9ccfff + (??? - ???) <3F68806A-FEOB-3F22-8F9C-1F4A1D6ES5E2>
/Applications/QGIS.app/Contents/Frameworks/osgManipulator.framework/Versions/3/osgManipulator

0x11aa06000 - 0x11aa90ff7 + (??7? - ???) <AC9BD011-1E69-344B-B2D0-4E6CB3976625>
/Applications/QGIS.app/Contents/Frameworks/osgEarthSymbology.framework/Versions/2/osgEarthSymbology

0x11aad2000 - 0x11ab2afff + (7?7 - ???) <ED4B60C3-B5BC-3EA4-AB06-436B06BDD18C>
/Applications/QGIS.app/Contents/Frameworks/osgEarthAnnotation.framework/Versions/2/osgEarthAnnotation

0x11ab66000 - 0x11aba0ff7 +libgpsimporterplugin.so (0) <BDB92269-A5F0-3C2C-A0F9-3EEC2A61B28A>
/Applications/QGIS.app/Contents/Plugins/qgis/libgpsimporterplugin.so

0x11abae000 - 0x11abe0fff +libgpxprovider.so (0) <B58E673E-977F-3849-8D95-12FA475322E6>
/Applications/QGIS.app/Contents/Plugins/qgis/libgpxprovider.so

0x11abf2000 - 0x11ad3cff7 +libgrassplugin6.so (0) <B205EAE2-B5FF-30CA-B613-D98ADBI9ABCO1>
/Applications/QGIS.app/Contents/Pluglns/qgis/libgrassplugin6.so

0x11adaa000 - 0x11ae33fff +org.qgis.qgis2_grass (2.12.0 - qgisgrass6 2.12.0) <99E2A506-F117-3A89-990B-E661CF71BD60>
/Applications/QGIS.app/Contents/Frameworks/qgisgrass6.framework/Versions/2.12/qgisgrass6

0x11ae63000 - 0x11aealfff +libgrass_gis.6.4.4.dylib (6.4) <ECDCB499-ECDD-341C-BEF3-D4CAOBBFA6CA>
/Applications/QGIS.app/Contents/MacOS/grass/lib/libgrass_gis.6.4.4.dylib

0x11aeb3000 - 0x11aee2ff7 +libgrass_vect.6.4.4.dylib (6.4) <AB7CBCOD-ADB3-3B49-95DA-6A4F770E01F2>
/Applications/QGIS.app/Contents/MacOS/grass/lib/libgrass_vect.6.4.4.dylib

0x11aef0000 - 0x11aefofff +libgrass_dbmibase.6.4.4.dylib (6.4) <CADB51A3-2D3F-3E27-88ED-B667A810D9ES>
/Applications/QGIS.app/Contents/MacOS/grass/lib/libgrass_dbmibase.6.4.4.dylib

0x11af00000 - 0x11af05ff7 +libgrass_gproj.6.4.4.dylib (6.4) <2894B53B-B9EA-3484-BE3B-C6281A493E02>
/Applications/QGIS.app/Contents/MacOS/grass/lib/libgrass_gproj.6.4.4.dylib

0x11af09000 - 0x11af0efff +libgrass_datetime.6.4.4.dylib (6.4) <1359D231-1A38-326A-ACEF-9C2B60C908C5>
/Applications/QGIS.app/Contents/MacOS/grass/lib/libgrass_datetime.6.4.4.dylib

0x11af12000 - 0x11af1fff7 +libgrass_dig2.6.4.4.dylib (6.4) <038242AF-1B88-3B5F-A5AC-962E8EF5A48F>
/Applications/QGIS.app/Contents/MacOS/grass/lib/libgrass_dig2.6.4.4.dylib

0x11af24000 - 0x11af27fff +libgrass_rtree.6.4.4.dylib (6.4) <2A3A80E6-EC47-33D2-8683-63AE9EDEOF90>
/Applications/QGIS.app/Contents/MacOS/grass/lib/libgrass_rtree.6.4.4.dylib

0x11af2a000 - 0x11af3bfff +libgrass_dgl.6.4.4.dylib (6.4) <4D60C207-41D8-3FDB-A643-D0007C486B2F >
/Applications/QGIS.app/Contents/MacOS/grass/lib/libgrass_dgl.6.4.4.dylib

0x11af41000 - 0x11af47ff7 +libgrass_gmath.6.4.4.dylib (6.4) <5283DB57-CFFA-34FC-B3C9-983B69C31223>
/Applications/QGIS.app/Contents/MacOS/grass/lib/libgrass_gmath.6.4.4.dylib

0x11af4b000 - 0x11b0f0fff +libfftw3.dylib (8.4) <OA6B28FC-3472-3F88-8A26-5B282649A543>
/Applications/QGIS.app/Contents/MacOS/grass/lib/libfftw3.dylib

0x11b109000 - 0x11b12eff7 +libgrassprovider6.so (0) <66CEOF38-088F-348B-B0ODC-384CB0A95755>
/Applications/QGIS.app/Contents/Pluglns/qgis/libgrassprovider6.so

0x11b13f000 - 0x11b147ff7 +libgrassrasterprovider6.so (0) <85313F6E-D266-3CAE-9420-BOE08C6203F0>
/Applications/QGIS.app/Contents/Plugins/qgis/libgrassrasterprovider6.so

0x11b14a000 - 0x11b162fff +libheatmapplugin.so (0) <A65F33B9-8102-37A8-9ACF-AADEOED94F85>
/Applications/QGIS.app/Contents/Pluglns/qgis/libheatmapplugin.so

0x11b16e000 - 0x11b185ff7 +libinterpolationplugin.so (0) <COBFAA9E-6FCE-3486-8944-96BC247F6E48>
/Applications/QGIS.app/Contents/Pluglns/qgis/libinterpolationplugin.so

0x11b191000 - 0x11b1a2ff7 +libmemoryprovider.so (0) <728ACCD2-877A-363C-90AC-EBE69171F959>
/Applications/QGIS.app/Contents/Plugins/qgis/libmemoryprovider.so

0x11b1ac000 - 0x11b20bfff +libmssqlprovider.so (0) <0F5313BC-7406-3732-B58B-E2EA3F88CEOB>
/Applications/QGIS.app/Contents/Plugins/qgis/libmssqlprovider.so

0x11b22a000 - 0x11b239ff7 +libofflineeditingplugin.so (0) <8D977C02-9924-3269-9DF2-E266851112C0>
/Applications/QGIS.app/Contents/Plugins/qgis/libofflineeditingplugin.so

0x11b244000 - 0x11b27eff7 +libogrprovider.so (0) <525D6877-5271-3465-B826-A986953B2F35>
/Applications/QGIS.app/Contents/Pluglns/qgis/libogrprovider.so

0x11b294000 - 0x11b2aaff7 +ogr_FileGDB.dylib (???) <6A7A8545-C342-3B00-BB46-7D5C3907E079> /Library/Application
Support/GDAL/*/ogr_FileGDB.dylib

0x11b2b9000 - 0x11b89ffff +libFileGDBAPI.dylib (0) <9F1EC08C-282A-39ED-BIFE-9A117336E686> /Library/Application
Support/GDAL/*/libFileGDBAPI.dylib

0x11ba09000 - 0x11ba79fff +libfgdbunixrtl.dylib (0) <418A3617-2909-352B-B96D-AB75F60CB2AB> /usr/local/lib/libfgdbunixrtl.dylib

0x11bed3000 - 0x11bee7ff7 +liboracleplugin.so (0) <94CFC847-4FFA-3833-9CE3-9EOFAECEA9DA>
/Applications/QGIS.app/Contents/Pluglns/qgis/liboracleplugin.so

0x11bef0000 - 0x11befcfff +libowsprovider.so (0) <A3B1808B-4563-3011-92F2-5AD12FFOA7C3>
/Applications/QGIS.app/Contents/Pluglns/qgis/libowsprovider.so

0x11bf03000 - 0x11bfb4ff7 +libpostgresprovider.so (0) <316387CD-15E9-3FE6-BAD0-CA4CE80D6AFB>
/Applications/QGIS.app/Contents/Plugins/qgis/libpostgresprovider.so

0x11bfde000 - 0x11bff5ff7 +librasterterrainplugin.so (0) <9220D71A-B325-3F46-9675-C6DF405289C9>
/Applications/QGIS.app/Contents/Plugins/qgis/librasterterrainplugin.so

0x11c000000 - 0x11c01efff +libroadgraphplugin.so (0) <D2BDA428-B8F7-3A38-8917-597AC6313D83>
/Applications/QGIS.app/Contents/Pluglns/qgis/libroadgraphplugin.so

0x11c02d000 - 0x11c03bfff +org.qgis.qgis2_networkanalysis (2.12.0 - qgis_networkanalysis 2.12.0)
<337BE567-D6C9-3AB0-BE4D-1E8F672E0A25>
/Applications/QGIS.app/Contents/Frameworks/qgis_networkanalysis.framework/Versions/2.12/qgis_networkanalysis

0x11c043000 - 0x11c0a6fff +libspatialiteprovider.so (0) <C62231D4-5A27-35A7-8947-A51A1BF934C3>
/Applications/QGIS.app/Contents/Pluglns/qgis/libspatialiteprovider.so

0x11c0c5000 - 0x11c0e3ff7 +libspatialqueryplugin.so (0) <2A857C88-A328-3700-BE9E-71F5EE4F19AD>
/Applications/QGIS.app/Contents/Pluglns/qgis/libspatialqueryplugin.so

0x11¢0f2000 - 0x11¢149ff7 +libspitplugin.so (0) <FAFA3215-95B3-3D20-9E88-EBA97BD83937>
/Applications/QGIS.app/Contents/Plugins/qgis/libspitplugin.so

0x11c15d000 - 0x11c17dfff +libsglanywhereprovider.so (???) <E4100FF7-3DB6-3D8D-9656-6670634A9355>
/Applications/QGIS.app/Contents/Pluglns/qgis/libsglanywhereprovider.so

0x11c188000 - 0x11c198ff7 +org.qgis.qgis2_sqglanyconnection (2.4.0 - ggissqglanyconnection 2.4.0)
<AF661231-78E3-3E1B-A304-49418BEF1717>
/Applications/QGIS.app/Contents/Frameworks/qgissglanyconnection.framework/Versions/2.4/qgissqglanyconnection

0x11¢19e000 - 0x11c711fff +org.sqlite.sqlite3 (3.7.17 - SQLite3 3.7.17-2) <424A007B-6231-36ED-91BA-D62564451065>
/Library/Frameworks/SQLite3.framework/Versions/B/SQLite3

0x11c76e000 - 0x11c7a0fff +libtopolplugin.so (0) <77679FD9-A176-3EF0-9623-2FFBCEB06212>
/Applications/QGIS.app/Contents/Pluglns/qgis/libtopolplugin.so

0x11c7b4000 - 0x11c7fcff7 +libwcsprovider.so (0) <FEB943DF-D3A6-3270-BD56-99A99C64FB4B>
/Applications/QGIS.app/Contents/Pluglns/qgis/libwcsprovider.so

0x11¢c816000 - 0x11c850ff7 +libwfsprovider.so (0) <31AC152C-CEAF-35C0-9F6C-77918E9BC349>
/Applications/QGIS.app/Contents/Plugins/qgis/libwfsprovider.so

0x11c86b000 - 0x11c924fff +libwmsprovider.so (0) <D2E861CA-056E-374B-BC87-25419D305DD0>
/Applications/QGIS.app/Contents/Plugins/qgis/libwmsprovider.so

0x11c954000 - 0x11cbadfe7 +QtScript (4.8.6) <84C73AB0-880A-E363-41B1-A4CE7489BA3D>
/Applications/QGIS.app/Contents/Frameworks/QtScript.framework/Versions/4/QtScript

0x11cc68000 - 0x11cc75ff7 +libzonalstatisticsplugin.so (0) <4471240A-7F4F-399F-9055-1F6205F9D5B8>
/Applications/QGIS.app/Contents/Pluglns/qgis/libzonalstatisticsplugin.so

0x11cc7d000 -  Ox11cc90ff7 +libggispython.2.12.0.dylib (0) <1ED3F253-FD6B-31C6-82CB-5EF695777597>
/Applications/QGIS.app/Contents/MacOS/lib/libggispython.2.12.0.dylib

0x11cc95000 -  Ox11cd86ff7 org.python.python (2.7.10 - 2.7.10) <ABBA93BD-FB4A-34EB-8362-650D0FF6C1A1>
/System/Library/Frameworks/Python.framework/Versions/2.7/Python

0x11cf1d000 - 0x11cf1efff _locale.so (94) <6C7EB7F6-222C-3BE7-8D65-BODCBD8931FF>
/System/Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/lib-dynload/_locale.so

0x11cf63000 - 0x11cf79ff7 +sip.so (0) <43172A3A-B44C-3FDC-BC87-AAAA981D8E29>
/Applications/QGIS.app/Contents/Resources/python/sip.so

0x11cf84000 - 0x11d10fff7 +QtCore.so (0) <C08C7277-C607-32C4-A87F-6FFE4B30AC73>
/Applications/QGIS.app/Contents/Resources/python/PyQt4/QtCore.so

0x11d2c8000 - 0x11d78efff +QtGui.so (0) <3F59EBFE-96AB-3E3D-ACEB-32BE9497D7F1>
/Applications/QGIS.app/Contents/Resources/python/PyQt4/QtGui.so

0x11dc7a000 - 0x11dc7dff7 strop.so (94) <1D059A80-5692-3A3E-8085-44E6761CC4A2>
/System/Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/lib-dynload/strop.so

0x11dc83000 - 0x11dc87fff itertools.so (94) <49860150-735A-3C9B-996B-9B1E9D310EC8>
/System/Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/lib-dynload/itertools.so

0x11dcd1000 - 0x11dcd4fff operator.so (94) <1AO0F7C26-2E64-3EBB-BEC8-44F96DA0SFFC>
/System/Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/lib-dynload/operator.so

0x11dcdb000 - 0x11dcddfff _collections.so (94) <D7112DEC-DD54-37AF-8D00-135B06649B77>
/System/Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/lib-dynload/_collections.so

0x11dce4000 - 0x11dce5fff _heapq.so (94) <23E666D1-0260-30E3-8291-A68C641F1171>
/System/Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/lib-dynload/_heapq.so

0x11dceb000 - 0x11e3e0fff +_core.so (0) <7651F833-57C2-3AC7-804E-98EAEB6119E6>
/Applications/QGIS.app/Contents/Resources/python/qgis/_core.so

0x11e987000 - 0x11e9b7fff +QtSql.so (0) <32C11C42-5577-3B68-B0A4-64B2311C2322>
/Applications/QGIS.app/Contents/Resources/python/PyQt4/QtSql.so

0x11e9e4000 - 0x11eab54ff7 +QtNetwork.so (0) <5B4C05FF-27E4-30D7-9145-76 A28F6A6132>
/Applications/QGIS.app/Contents/Resources/python/PyQt4/QtNetwork.so

0x11eaba000 - 0x11eaeffff +QtXml.so (0) <23C26AB3-4E62-3E76-8525-D63077CE437A>
/Applications/QGIS.app/Contents/Resources/python/PyQt4/QtXml.so

0x11ebde000 - 0x11ef8afff +_gui.so (0) <FA9E1A82-F682-339A-B081-C6B43FE4E39F>
/Applications/QGIS.app/Contents/Resources/python/qgis/_gui.so

0x11f2d5000 - 0x11f36fff7 +Qsci.so (0) <B87ECBD4-CF6C-3B25-A97D-B6848282E325>
/Applications/QGIS.app/Contents/Resources/python/PyQt4/Qsci.so

0x11f448000 - 0x11f449ff7 time.so (94) <36B871D5-4881-3ACE-B4B0-ADB6151F938C>
/System/Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/lib-dynload/time.so

0x11f450000 - 0x11f451fff _functools.so (94) <98357790-1F0D-39B3-8F10-54B90B973529>
/System/Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/lib-dynload/_functools.so

0x11f556000 - 0x11f559fff _struct.so (94) <62E94AB5-0016-33B1-A67C-3170776EC19D>
/System/Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/lib-dynload/_struct.so
0x11f560000 - 0x11f562fff binascii.so (94) <5F4A49D3-3606-3A95-836E-0D75915C72B9>
/System/Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/lib-dynload/binascii.so
0x11f567000 - 0x11f568fff _hashlib.so (94) <CFB92476-1544-3B3F-8366-5B389B21A235>
/System/Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/lib-dynload/_hashlib.so
0x11f5ae000 - 0x11f5b2fff array.so (94) <18437978-86DB-387E-887D-9B130168981F>
/System/Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/lib-dynload/array.so
0x11f5b9000 - 0x11f5¢c0ff7 _socket.so (94) <81DDOOEE-9A93-3617-AF7A-57ECAF4363BE>
/System/Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/lib-dynload/_socket.so
0x11f5¢cb000 - 0x11f5d4fff _ssl.so (94) <199B2179-BD39-305A-9224-4C22EF916DDO0>
/System/Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/lib-dynload/_ssl.so
0x11f5e0000 - 0x11f5e1fff cStringlO.so (94) <575AABB8-95E5-3D71-961E-D7609D0E860A>
/System/Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/lib-dynload/cStringlO.so
0x11f627000 - 0x11f636fff _io.so (94) <6FDA36F1-9F87-35BF-8D82-4A2303236D3F>
/System/Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/lib-dynload/_io.so
0x11f647000 - 0x11f64aff7 math.so (94) <1637540A-A769-3732-8C50-9BE3E0455636>
/System/Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/lib-dynload/math.so
0x11f651000 - 0x11f652ff7 _random.so (94) <E9434EBB-9BB4-3960-A1FB-D9029D7BAEAB>
/System/Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/lib-dynload/_random.so
0x11f657000 - 0x11f658fff fcntl.so (94) <86FEA0C2-CD20-399E-B4DB-2678042BB0AA>
/System/Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/lib-dynload/fcntl.so
0x11f69d000 - 0x11f69dfff _bisect.so (94) <F1E5D6FD-ABF4-38A2-86F0-9D1975DD9680>
/System/Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/lib-dynload/_bisect.so
0x11f6e2000 - 0x11f6e2fff _scproxy.so (94) <BBCOBFC5-0CB4-35C5-86DC-DD02D596535C>
/System/Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/lib-dynload/_scproxy.so
0x11f6e7000 - 0x11f724fff +_gdal.so (??7?) <A9AB108B-DBF0-3550-90CE-625281991704>
/Library/Frameworks/GDAL.framework/Versions/1.11/Python/2.7/site-packages/osgeo/_gdal.so
0x11f7ad000 - 0x11f7fbfff +_ogr.so (??7?) <34EEEF8D-CFA8-3461-BD90-099FF9BCED1A>
/Library/Frameworks/GDAL.framework/Versions/1.11/Python/2.7/site-packages/osgeo/_ogr.so
0x11f84e000 - 0x11f876fff +_osr.so (???) <00AD7F1B-D970-311B-8DA8-6CEFOE7970AB>
/Library/Frameworks/GDAL.framework/Versions/1.11/Python/2.7/site-packages/osgeo/_osr.so
0x11f882000 - 0x11f885ff7 +_gdalconst.so (???) <5BEB5B89-1BE9-3464-BCEB-6B5B14E7A665>
/Library/Frameworks/GDAL.framework/Versions/1.11/Python/2.7/site-packages/osgeo/_gdalconst.so
0x11f889000 - 0x11f8d1fff +QtWebKit.so (0) <B6F7A27E-1BC9-31BF-ADFC-C095029ACBD4>
/Applications/QGIS.app/Contents/Resources/python/PyQt4/QtWebKit.so
0x11fa52000 - 0x11fa5bff7 datetime.so (94) <BCD72589-AEF7-3285-9F61-C02FA70B6B5D>
/System/Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/lib-dynload/datetime.so
0x11fb25000 - 0x11fc30fff +multiarray.so (???) <56A92A18D-E0FB-3693-91F8-851BBE16901F>
/Library/Python/2.7/site-packages/numpy-override/numpy/core/multiarray.so
0x11fd2b000 - 0x11fd7dfff +umath.so (???) <DODF5599-4004-3847-A9C8-683AFA855621>
/Library/Python/2.7/site-packages/numpy-override/numpy/core/umath.so
0x11fde9000 - 0x11fdf4fff cPickle.so (94) <127FBBE7-8E59-3E4A-8DA4-156A133AC244>
/System/Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/lib-dynload/cPickle.so
0x11fdfb000 - 0x11{dfffff +_dotblas.so (???) <5D3D735E-F9DC-3B62-A722-1097B8188F69>
/Library/Python/2.7/site-packages/numpy-override/numpy/core/_dotblas.so
0x11fe43000 - 0x11fe61fff +scalarmath.so (???) <2E11A749-DD9E-339A-AD13-08C034154340>
/Library/Python/2.7/site-packages/numpy-override/numpy/core/scalarmath.so
0x11feb4000 - 0x11feb4fff grp.so (94) <58013EEB-F036-38D9-A476-4B1C1BF5DD41>
/System/Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/lib-dynload/grp.so
0x11fefo000 - 0x11fefdfff +_compiled_base.so (?777) <BC25DA02-F6B7-36D7-AA45-80113A52D40F >
/Library/Python/2.7/site-packages/numpy-override/numpy/lib/_compiled_base.so
0x11ff41000 - 0x11ff42fff +lapack_lite.so (???) <C713CDC2-D6DE-37CA-A1A7-D9882C7046B7>
/Library/Python/2.7/site-packages/numpy-override/numpy/linalg/lapack_lite.so
0x11ff46000 - 0x11ff54fff +_umath_linalg.so (???) <9350681C-73AA-3536-8FEF-6DBD9641AE6GE>
/Library/Python/2.7/site-packages/numpy-override/numpy/linalg/_umath_linalg.so

0x11ffa0000 - 0x11ffa0fff future_builtins.so (94) <E2F13569-A812-398B-8060-977060C31D0C>
/System/Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/lib-dynload/future_builtins.so

0x11ffa5000 - 0x11ffacfff +fftpack_lite.so (???) <62CA3831-5D6D-3E17-BD4A-240DE7D3AE75>
/Library/Python/2.7/site-packages/numpy-override/numpy/fft/fftpack_lite.so

0x11fff0000 - 0x120042fff +mtrand.so (??7?) <566042808-9F70-3236-91E4-DF9C38961171>
/Library/Python/2.7/site-packages/numpy-override/numpy/random/mtrand.so

0x120097000 - 0x1200a5fff _ctypes.so (94) <1DEO9FEF-1264-3005-B35F-E9232A682076>
/System/Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/lib-dynload/_ctypes.so

0x1201a7000 - 0x1201a9fff select.so (94) <F7B0389A-404D-3DD9-B07A-ABC3C4517EE2>
/System/Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/lib-dynload/select.so

0x1201f0000 - 0x1201f5ff7 pyexpat.so (94) <FBA59080-C236-38F0-BE95-ECCFE43F548A>
/System/Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/lib-dynload/pyexpat.so

0x1201fd000 - 0x120216fff libexpat.1.dylib (12.20.1) <AA76E4CF-52F5-3CF9-907B-FBB80BAFB125> /ustr/lib/libexpat.1.dylib

0x1202e0000 - 0x1202e2fff _csv.so (94) <ECFOAF79-1518-326C-80FE-14D858C05707>
/System/Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/lib-dynload/_csv.so

0x1206a9000 - 0x1206adfff _json.so (94) <79478B92-A10D-3CE8-AE53-09C076B29908>
/System/Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/lib-dynload/_json.so

0x120733000 - 0x120735fff zlib.so (94) <B4EC5A19-A654-37EF-AB07-E845932190B9>
/System/Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/lib-dynload/zlib.so

0x12073b000 - 0x120743fff parser.so (94) <BB6B8989-913D-38CA-9948-C92010C670EA>
/System/Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/lib-dynload/parser.so

0x120c0d000 - 0x120c14ff7 +libuuid.dylib (0) <294BA30D-2CD7-3D97-88D4-1B1A3C74CFC4> /usr/local/lib/libuuid.dylib

0x120cd8000 - 0x120cdbfff +_cntr.so (??7?) <78234600-C098-3808-ACF2-DBD6F80BD4E2>
/Library/Python/2.7/site-packages/matplotlib-override/matplotlib/_cntr.so

0x120cdf000 - 0x120ce9fff +_delaunay.so (???) <5DF1297C-0032-3451-868E-82DD8FCF355B>
/Library/Python/2.7/site-packages/matplotlib-override/matplotlib/_delaunay.so

0x120cf5000 - 0x120d03fff _ufuncs_cxx.so (40) <OA25E01C-576B-3668-8C79-F49A0DC7757E>
/System/Library/Frameworks/Python.framework/Versions/2.7/Extras/lib/python/scipy/special/_ufuncs_cxx.so

0x120f0d000 - 0x120f42ff7 +_path.so (???) <8559AFE9-BB5C-34E6-A11C-ADC5F6D562C 1>
/Library/Python/2.7/site-packages/matplotlib-override/matplotlib/_path.so

0x121135000 - 0x1211d6fff +ft2font.so (???) <19935003-CEE2-325F-B8CC-ECD784885DAC>
/Library/Python/2.7/site-packages/matplotlib-override/matplotlib/ft2font.so

0x121299000 - 0x12133dfff unicodedata.so (94) <OAF8ADD3-0F58-315C-A127-68F231DDEF52>
/System/Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/lib-dynload/unicodedata.so

0x121344000 - 0x12135ffff +_png.so (???) <F749C002-6E33-3D32-9D04-2AE9B7299844>
/Library/Python/2.7/site-packages/matplotlib-override/matplotlib/_png.so

0x121483000 - 0x1214bdff7 +_image.so (?77?) <7F29778E-19A8-3A75-9EAA-BB76B3F27771>
/Library/Python/2.7/site-packages/matplotlib-override/matplotlib/_image.so

0x1215f7000 - 0x121628ff7 +_tri.so (???) <B2BFD3AD-C95B-336C-86F4-8F033073B60A>
/Library/Python/2.7/site-packages/matplotlib-override/matplotlib/_tri.so

0x1216e6000 - 0x12173bfff +_backend_agg.so (???) <9281B2F2-17BE-39C2-86AA-C76EDED1F8A4>
/Library/Python/2.7/site-packages/matplotlib-override/matplotlib/backends/_backend_agg.so

0x121897000 - 0x121945fff _ufuncs.so (40) <6EADE20B-DB69-3F3E-AC7B-F230B2C5374A>
/System/Library/Frameworks/Python.framework/Versions/2.7/Extras/lib/python/scipy/special/_ufuncs.so

0x12199a000 - 0x1219fcfff specfun.so (40) <OBB8A38F-6907-35FD-8802-ED24E19C28E5>
/System/Library/Frameworks/Python.framework/Versions/2.7/Extras/lib/python/scipy/special/specfun.so

0x121a39000 - 0x121a65fff _fblas.so (40) <2977E9F0-3FAA-3E6E-AACA-074D3F27290C>
/System/Library/Frameworks/Python.framework/Versions/2.7/Extras/lib/python/scipy/linalg/_fblas.so

0x121a81000 - 0x121a88fff _flinalg.so (40) <05C7DA47-DAC7-3AE5-8083-9056D3E717F2>
/System/Library/Frameworks/Python.framework/Versions/2.7/Extras/lib/python/scipy/linalg/_flinalg.so

0x121a90000 - 0x121aeafff _flapack.so (40) <7D9DEF7F-C083-3CB7-A5B1-CDCB2F0CAEES>
/System/Library/Frameworks/Python.framework/Versions/2.7/Extras/lib/python/scipy/linalg/_flapack.so
0x121b1e000 - 0x121b25fff calc_lwork.so (40) <993B8B79-440A-3632-9373-2B53E3C704DD>
/System/Library/Frameworks/Python.framework/Versions/2.7/Extras/lib/python/scipy/linalg/calc_lwork.so
0x121b6c000 - 0x121b6ffff futil.so (40) <95A21906-A288-3FEB-B1B8-F349470B0606>
/System/Library/Frameworks/Python.framework/Versions/2.7/Extras/lib/python/scipy/stats/futil.so
0x121bf5000 - 0x121bfaff7 minpack2.so (40) <9B93E898-0AB9-3686-B426-A83B9F876118>
/System/Library/Frameworks/Python.framework/Versions/2.7/Extras/lib/python/scipy/optimize/minpack?2.so
0x121c00000 - 0x121c14ff7 _Ibfgsb.so (40) <C6D08384-A75E-3350-A8D5-DFBEADD4958E>
/System/Library/Frameworks/Python.framework/Versions/2.7/Extras/lib/python/scipy/optimize/_lbfgsb.so
0x121¢21000 - 0x121c26fff moduleTNC.so (40) <3A68FBDA-9A42-3602-9B97-787993840AE9>
/System/Library/Frameworks/Python.framework/Versions/2.7/Extras/lib/python/scipy/optimize/module TNC.so
0x121¢c6b000 - 0x121c7dfff _cobyla.so (40) <324D186D-AD35-3675-9037-0140AC3BF886>
/System/Library/Frameworks/Python.framework/Versions/2.7/Extras/lib/python/scipy/optimize/_cobyla.so
0x121¢89000 - 0x121c93ff7 _slsgp.so (40) <99DF7C9A-225D-3FE2-8B86-0B7408EF70B8>
/System/Library/Frameworks/Python.framework/Versions/2.7/Extras/lib/python/scipy/optimize/_slsgp.so
0x121¢99000 - 0x121ca4fff _minpack.so (40) <A71B2E2D-DE09-30AC-AC3E-D3C4F4F80876>
/System/Library/Frameworks/Python.framework/Versions/2.7/Extras/lib/python/scipy/optimize/_minpack.so
0x121cea000 - 0x121de6ff7 _csr.so (40) <2F87FC30-0A6C-3A81-9CD7-70AE639AFCD6>
/System/Library/Frameworks/Python.framework/Versions/2.7/Extras/lib/python/scipy/sparse/sparsetools/_csr.so
0x121e08000 - 0x121ecifff _csc.so (40) <1725E887-EE2E-3EB1-9657-9435575C782B>
/System/Library/Frameworks/Python.framework/Versions/2.7/Extras/lib/python/scipy/sparse/sparsetools/_csc.so
0x121eda000 - 0x121ef8ff7 _coo.so (40) <0F2604C3-9013-364C-827A-BBD5D1607D13>
/System/Library/Frameworks/Python.framework/Versions/2.7/Extras/lib/python/scipy/sparse/sparsetools/_co0.so
0x121f00000 - 0x121f0aff7 _dia.so (40) <D04D8734-8384-3937-A15F-96D76C30B164>
/System/Library/Frameworks/Python.framework/Versions/2.7/Extras/lib/python/scipy/sparse/sparsetools/_dia.so
0x121f10000 - 0x122050ff7 _bsr.so (40) <9A772A64-0C3B-3893-9581-8B15BF78601F>
/System/Library/Frameworks/Python.framework/Versions/2.7/Extras/lib/python/scipy/sparse/sparsetools/_bsr.so
0x122081000 - 0x122084fff _csgraph.so (40) <9178D036-6BD4-3476-A132-6D125BF29C95>
/System/Library/Frameworks/Python.framework/Versions/2.7/Extras/lib/python/scipy/sparse/sparsetools/_csgraph.so
0x1220ca000 - 0x1220eefff _shortest_path.so (40) <E48D0B4E-46AE-31CB-BAAA-142381AD701E>
/System/Library/Frameworks/Python.framework/Versions/2.7/Extras/lib/python/scipy/sparse/csgraph/_shortest_path.so
0x1220fa000 - 0x12210cfff _tools.so (40) <DAA3265D-29C4-352F-B599-0744A4C34BD7>
/System/Library/Frameworks/Python.framework/Versions/2.7/Extras/lib/python/scipy/sparse/csgraph/_tools.so
0x122116000 - 0x12212cfff _traversal.so (40) <7D9AF655-B6CA-3AF1-8199-7D01972D803B>
/System/Library/Frameworks/Python.framework/Versions/2.7/Extras/lib/python/scipy/sparse/csgraph/_traversal.so
0x122137000 - 0x122140fff _min_spanning_tree.so (40) <3EF1F908-0801-3181-9F1F-9FC127ABCBE7>
/System/Library/Frameworks/Python.framework/Versions/2.7/Extras/lib/python/scipy/sparse/csgraph/_min_spanning_tree.so
0x122148000 - 0x12216ffff _iterative.so (40) <78FB343B-9F48-3035-8016-BFDBOEA7C1C0>
/System/Library/Frameworks/Python.framework/Versions/2.7/Extras/lib/python/scipy/sparse/linalg/isolve/_iterative.so
0x12217e000 - 0x1221bcff7 _superlu.so (40) <B087470B-6C94-328F-9DDD-17C593E289D7>
/System/Library/Frameworks/Python.framework/Versions/2.7/Extras/lib/python/scipy/sparse/linalg/dsolve/_superlu.so
0x122208000 - 0x12225aff7 _arpack.so (40) <029C37A4-8240-388A-AD87-2615E9F892BC>
/System/Library/Frameworks/Python.framework/Versions/2.7/Extras/lib/python/scipy/sparse/linalg/eigen/arpack/_arpack.so
0x122279000 - 0x12227aff7 _zeros.so (40) <52B4AE09-FDBE-3CE8-B432-7A956158B107>
/System/Library/Frameworks/Python.framework/Versions/2.7/Extras/lib/python/scipy/optimize/_zeros.so
0x12227f000 - 0x122288ff7 _nnls.so (40) <912DEFB1-CFF3-3C2B-831A-F462E3934C8F>
/System/Library/Frameworks/Python.framework/Versions/2.7/Extras/lib/python/scipy/optimize/_nnls.so
0x1222d2000 - 0x122218fff _odepack.so (40) <27118319-DF47-31AB-8FC2-797CACB4CE1B>
/System/Library/Frameworks/Python.framework/Versions/2.7/Extras/lib/python/scipy/integrate/_odepack.so
0x122307000 - 0x12231efff _quadpack.so (40) <COACDBEE-A16F-37E3-B282-2578E01CE852>
/System/Library/Frameworks/Python.framework/Versions/2.7/Extras/lib/python/scipy/integrate/_quadpack.so
0x122328000 - 0x122345fff vode.so (40) <AB3ACC37-E256-3901-9E01-6ABA2AC6F635>
/System/Library/Frameworks/Python.framework/Versions/2.7/Extras/lib/python/scipy/integrate/vode.so
0x122352000 - 0x122365fff _dop.so (40) <BEES8B4AE-30BF-3970-9754-B54BFA2F071D>
/System/Library/Frameworks/Python.framework/Versions/2.7/Extras/lib/python/scipy/integrate/_dop.so
0x122372000 - 0x12239aff7 Isoda.so (40) <B22D37D2-821A-3DD5-AF72-2E79C60EA64D>
/System/Library/Frameworks/Python.framework/Versions/2.7/Extras/lib/python/scipy/integrate/Isoda.so
0x1223ab000 - 0x1223b6fff vonmises_cython.so (40) <388E7327-F8B5-38DB-A752-AEDCB1D77B93>
/System/Library/Frameworks/Python.framework/Versions/2.7/Extras/lib/python/scipy/stats/vonmises_cython.so
0x12247d000 - 0x12248cfff _rank.so (40) <CFCF6A0B-8C22-343E-8F09-DC677ABI9DF81>
/System/Library/Frameworks/Python.framework/Versions/2.7/Extras/lib/python/scipy/stats/_rank.so
0x122495000 - 0x12249afff statlib.so (40) <E61EB3EE-566A-3745-BFEA-6470BC0A3A17>
/System/Library/Frameworks/Python.framework/Versions/2.7/Extras/lib/python/scipy/stats/statlib.so
0x1224a1000 - 0x1224abff7 mvn.so (40) <D133A70D-B729-39C9-9C42-370550B0D870>
/System/Library/Frameworks/Python.framework/Versions/2.7/Extras/lib/python/scipy/stats/mvn.so
0x1225f0000 - 0x122630ff7 +_psycopg.so (???) <B37105E1-1163-3953-91CE-877206CF9407>
/Applications/QGIS.app/Contents/Resources/python/psycopg2/_psycopg.so
0x123f85000 - 0x123f86ff3 +cl_kernels (???) <9C1E2EDB-2DD3-487A-95AB-6865EA3BB92C> cl_kernels
0x124479000 - 0x124624ffb GLEngine (12.0.40.6) <D55FDA69-AE2C-3AA1-9565-309C13C1C5C2>
/System/Library/Frameworks/OpenGL.framework/Resources/GLEngine.bundle/GLEngine
0x12466b000 - 0x124695ff7 GLRendererFloat (12.0.40.6) <E739EE06-2F9C-3D46-AC6D-122DCD66E8C9>
/System/Library/Frameworks/OpenGL.framework/Resources/GLRendererFloat.bundle/GLRendererFloat
0x125641000 - 0x125b30fff com.apple.driver.AppleintelHD4000GraphicsGLDriver (10.12.13 - 10.1.2)
<F1909016-64B8-30D2-B478-27C69A851616>
/System/Library/Extensions/AppleintelHD4000GraphicsGLDriver.bundle/Contents/MacOS/ApplelntelHD4000GraphicsGLDriver
0x126048000 - 0x1260aafff com.apple.driver.AppleintelHD4000GraphicsMTLDriver (10.12.13 - 10.1.2)
<F37F440A-FB57-3E0C-8FEF-9C409F96A1DD>
/System/Library/Extensions/AppleintelHD4000GraphicsMTLDriver.bundle/Contents/MacOS/ApplelntelHD4000GraphicsMTLDriver
0x7fff60e1a000 -  0x7fff60e51007 dyld (360.19) <9D05FDF4-65CE-3B53-86D4-ABE1A5BF35F3> /ust/lib/dyld
0x71ff84fc6000 -  Ox7fff84fcafff libGIF.dylib (1442) <2F7DA684-3510-38C2-B48F-9D33194860A1>
/System/Library/Frameworks/ImagelO.framework/Versions/A/Resources/libGIF.dylib
0x7{ff84fd1000 -  0x7{ff850f6ff7 com.apple.LaunchServices (728.6 - 728.6) <204CD7A1-D99C-3655-82D7-E8E89FIC666B>
/System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/LaunchServices.framework/Versions/A/LaunchServices
0x7fff850f7000 -  0x7fff85114fff com.apple.pluginkit.framework (1.0 - 1) <AE3DFBES5-A012-345F-8A77-520686B6FBFF>
/System/Library/PrivateFrameworks/PlugInKit.framework/Versions/A/PlugInKit
0x7fff85115000 -  0x7fff85117fff liIbCGXType.A.dylib (948) <C3D473CF-7261-3E0D-A161-E9B642B75D6A>
/System/Library/Frameworks/CoreGraphics.framework/Versions/A/Resources/libCGXType.A.dylib
0x7fff85125000 -  0x7fff8512dfff com.apple.AppleSRP (5.0 - 1) <25775E90-1DBB-3BFA-B4B4-F8F262B9EC1F>
/System/Library/PrivateFrameworks/AppleSRP.framework/Versions/A/AppleSRP
0x7fff85156000 -  0x7fff851a8fff com.apple.CloudDocs (1.0 - 383.5) <BBE4C32D-75E6-3EDD-A787-625BDD66DA20>
/System/Library/PrivateFrameworks/CloudDocs.framework/Versions/A/CloudDocs
0x7fff85221000 -  Ox7fff85234fff com.apple.CoreBluetooth (1.0 - 1) <BF5F87E3-6AAA-3B1F-9979-7A03D77937C8>
/System/Library/Frameworks/CoreBluetooth.framework/Versions/A/CoreBluetooth
0x7fff8538b000 -  Ox7fff853affff com.apple.MultitouchSupport.framework (304.10 - 304.10) <1E0206D9-34AD-3810-8ED0-29DC450D1485>
/System/Library/PrivateFrameworks/MultitouchSupport.framework/Versions/A/MultitouchSupport
0x7fff853b8000 -  0x7fff853bafff libsystem_coreservices.dylib (19.2) <1B3F5AFC-FFCD-3ECB-8B9A-5538366FB20D>
/usr/lib/system/libsystem_coreservices.dylib
0x7fff853bb000 -  0x7fff85429ff7 com.apple.ApplicationServices.ATS (377 - 394.3) <0DDD3503-3D74-3CCA-BD25-7F19B03C2579>
/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ATS.framework/Versions/A/ATS
0x7fff8542a000 -  0x7fff85443fef libcompression.dylib (25) <C8546222-B022-39EA-9896-0387BA1D5C51> /usr/lib/libcompression.dylib
0x7fff85459000 -  0x7{ff8545affb libSystem.B.dylib (1226.10.1) <56A4257EF-3145-3BB3-87A4-0D2404A9462D> /usr/lib/libSystem.B.dylib
0x7fff85542000 -  0x7fff8554afff libMatch.1.dylib (27) <3ACOBFB8-7E69-3DBE-A175-7F3946FC4554> /ust/lib/libMatch.1.dylib
0x7fff85569e000 -  0x7fff855a4ff7 com.apple.speech.recognition.framework (5.1.1 - 5.1.1) <FASCB89A-2BFE-38CC-B1A3-E48792CD898C>
/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/SpeechRecognition.framework/Versions/A/SpeechRecognition
0x7fff855fc000 -  0x7fff85625ffb libRIP.A.dylib (948) <96E8F983-A8BA-3BOF-9035-E09642A63F6E>
/System/Library/Frameworks/CoreGraphics.framework/Versions/A/Resources/libRIP.A.dylib
0x7fff85626000 -  0x7fff8562afff com.apple.CommonPanels (1.2.6 - 96) <61E9D84F-435A-3C7B-A065-047B80775777>
/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/CommonPanels.framework/Versions/A/CommonPanels

Ox7fff8562b000 -  Ox7fff8564cfff com.apple.Sharing (442.9.1 - 442.9.1) <672DE6DF-98E0-30A4-BA25-44BDE188D0BE>
/System/Library/PrivateFrameworks/Sharing.framework/Versions/A/Sharing

0x7fff8565b000 -  0x7fff857421f7 libcrypto.0.9.8.dylib (59) <ED1C2A26-8FFC-30FF-8726-FF952EF94ADF> /ust/lib/libcrypto.0.9.8.dylib

0x7fff85743000 -  Ox7fff8575dfff com.apple.Kerberos (3.0 - 1) <836358DE-2731-3ACD-98E3-E5FA48917728>
/System/Library/Frameworks/Kerberos.framework/Versions/A/Kerberos

0x7fff85775000 -  Ox7fff85799ff7 libJPEG.dylib (1442) <OF9069AB-D830-37DD-8813-B635D1ECB3E4>
/System/Library/Frameworks/ImagelO.framework/Versions/A/Resources/libJPEG.dylib

0x7fff8579a000 -  Ox7fff857b1ff7 libsystem_asl.dylib (322.30.1) <9B500E4E-E462-321E-828E-5524DC984C1B>
/usr/lib/system/libsystem_asl.dylib

0x7{ff857b2000 -  0x7fff857bbff7 com.apple.DisplayServicesFW (3.0 - 378) <E459962E-90C6-36CE-BA30-BCI9E29E6C14A>
/System/Library/PrivateFrameworks/DisplayServices.framework/Versions/A/DisplayServices

0x7fff857bc000 -  0x7fff8586efff com.apple.cloudkit.CloudKit (481.8 - 481.8) <E927AE82-8E55-38A4-BE6E-4D0829272653>
/System/Library/Frameworks/CloudKit.framework/Versions/A/CloudKit

0x7fff8586f000 -  0x7fff85896fff com.apple.ProtectedCloudStorage (1.0 - 1) <FOE1BDE2-16AF-34B5-B7FE-127D511BDC9E>
/System/Library/PrivateFrameworks/ProtectedCloudStorage.framework/Versions/A/ProtectedCloudStorage

0x7fff85aab000 -  0x7fff85ab6fff libkxld.dylib (3248.30.4) <BAA3SDDEC-AD81-3C29-AECC-59E4AD114D3C> /ustr/lib/system/libkxId.dylib

0x7fff85022000 -  0x7fff85bb1fff com.apple.CorePDF (4.0 - 4) <6147B89F-46D8-38B2-A7D0-C5AABCE35BC6>
/System/Library/PrivateFrameworks/CorePDF.framework/Versions/A/CorePDF

0x7fff85¢72000 -  0x7fff85ce9fe7 libcorecrypto.dylib (335.20.1) <C6BD205F-4ECE-37EE-BCAB-A76F39CDCFFA>
/ust/lib/system/libcorecrypto.dylib

0x7fff85ceal00 -  0x7fff85ceafff com.apple.Cocoa (6.11 - 22) <0A634D46-B468-3CBC-B2A0-16C381C11BF2>
/System/Library/Frameworks/Cocoa.framework/Versions/A/Cocoa

0x7fff85cee000 -  0x7fff85d4cfff com.apple.SystemConfiguration (1.14 - 1.14) <5A70115B-E346-3EBD-A617-9A11C61EEF2E>
/System/Library/Frameworks/SystemConfiguration.framework/Versions/A/SystemConfiguration

0x7fff85d76000 -  0x7fff861ecfff com.apple.CoreFoundation (6.9 - 1256.14) <768A7FB7-9143-3148-8591-7C6ED3162D35>
/System/Library/Frameworks/CoreFoundation.framework/Versions/A/CoreFoundation

0x7fff86251000 -  Ox7fff862a3fff com.apple.AppleVAFramework (5.0.32 - 5.0.32) <04AB634C-FB23-3538-937C-FF60E5E59DF8>
/System/Library/PrivateFrameworks/AppleVA.framework/Versions/A/AppleVA

0x7fff862a4000 -  0x7fff862f9ff7 com.apple.AE (701 - 701) <FB22BE84-9CB8-36BF-8061-F93D716C0A84>
/System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/AE.framework/Versions/A/AE

0x7fff862fa000 -  0x7fff86319ff7 com.apple.framework.Apple80211 (11.0 - 1110.33) <EC583C00-9073-39C3-B613-96D5BA0OFDD32>
/System/Library/PrivateFrameworks/Apple80211.framework/Versions/A/Apple80211

0x7fff8631a000 -  0x7fff8631cff7 libsystem_configuration.dylib (802.20.7) <5FD79070-36CC-3D02-BEA7-BB5D2AE97D5D>
/usr/lib/system/libsystem_configuration.dylib

0x7fff86387000 -  0x7fff86389fff com.apple.CoreDuetDebuglogging (1.0 - 1) <B461272B-2DFF-3CA9-8DCA-689B2AAC0379>
/System/Library/PrivateFrameworks/CoreDuetDebuglLogging.framework/Versions/A/CoreDuetDebuglogging

0x7fff86382000 -  0x7fff8639bff7 libz.1.dylib (61.20.1) <B3EBB42F-48E3-3287-9F0D-308E04D407AC> /ust/lib/libz.1.dylib

0x7fff86505000 -  0x7fff8650afff com.apple.MediaAccessibility (1.0 - 79) <CCF71DC1-BB6A-3227-BD1B-AFD172592A63>
/System/Library/Frameworks/MediaAccessibility.framework/Versions/A/MediaAccessibility

0x7fff867eb000 -  Ox7fff86829ff7 libGLImage.dylib (12.0.40.6) <ACC6C7B0-A805-344C-AAC3-BA50780227E1>
/System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGLImage.dylib

0x7{ff8682a000 -  0x7fff8682dff7 com.apple.help (1.3.3 - 46) <62056D9B-A87C-3E4D-B4E2-7E1CDB74CE68>
/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/Help.framework/Versions/A/Help

0x7fff868a5000 -  0x7fff868adfff libGFXShared.dylib (12.0.40.6) <7E84C8A9-40DA-302A-A3DE-9AE3C61A3465>
/System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGFXShared.dylib

0x7{ff868ae000 -  0x7fff868bcfff com.apple.opengl (12.0.40 - 12.0.40) <D37D88AE-0731-3105-99AB-984DA9B9BCE6>
/System/Library/Frameworks/OpenGL.framework/Versions/A/OpenGL

0x7fff868bd000 -  0x7fff869a3fef unorm8_bgra.dylib (2.6.4.1) <F2A325FF-D55F-3091-88E2-5EBF3648274A>
/System/Library/Frameworks/OpenCL.framework/Versions/A/Libraries/ImageFormats/unorm8_bgra.dylib

0x7fff869a4000 -  0x7fff869a7ffb libdyld.dylib (360.19) <AA629043-C6F6-32FE-8007-E3478E99ACA7> /usr/lib/system/libdyld.dylib

0x7fff869a8000 -  0x7fff869b3fff libGL.dylib (12.0.40.6) <2A13E40A-BFA1-34FD-925A-C7023FEF254C>
/System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGL.dylib
0x7fff869e8000 -  0x7fff86bb1ff7 com.apple.ImagelO.framework (3.3.0 - 1442) <2C8AF87E-080E-3FD8-824D-332B43

#10 - 2016-02-11 11:12 AM - Michael Kirk

Note that it does seems to be crashing in a different place:

@

In my initial report it was here:

0 libFileGDBAPI.dylib 0x000000011502424a StandardDatafile::GetShape(ScanContext&, IGeometry5*) + 58

Now it is here:

2l

0 libFileGDBAPI.dylib 0x000000011b33088a ShapeCompressor::GetFeatureExtent(unsigned char*, int, WKSEnvelope&) + 4

#11 - 2016-02-11 11:54 PM - Sandro Santilli
Michael, | see Version: 2.12.0 (2.12.0 [exported])

in your report. That's not current master branch. It should tell you 2.14 something (I think). Could you please double check and report the exact commit
you're testing against ?

#12 - 2016-02-12 01:45 AM - Giovanni Manghi

- Status changed from Reopened to Feedback

#13 - 2016-02-12 10:32 AM - Michael Kirk

You might be wrong about expecting to see 2.14 in the build output.

My build was from commit: c8161aac88df75f9e9510cbd3fad050d29984b42

https://github.com/qgis/QGIS/commits/c8161aac88df75{9e9510cbd3fad050d29984b42

#14 - 2016-02-12 10:54 AM - Giovanni Manghi
- Status changed from Feedback to Open

#15 - 2016-02-15 03:31 AM - Sandro Santilli

- Status changed from Open to Feedback
- Resolution changed from fixed/implemented to worksforme
https://github.com/qgis/QGIS/commits/c8161aac88df75f9e9510cbd3fad050d29984b42

Micheal was it a clean rebuild ? Do you have any other libqgis library in the system that might be loading up ? What version of GDAL/OGR are you using ?

Giovanni, can you reproduce this ?

#16 - 2016-05-23 07:13 AM - Giovanni Manghi

- Resolution deleted (worksforme)

- Status changed from Feedback to Open
- Target version deleted (Version 2.14)

Giovanni, can you reproduce this ?

on 2.14.3/master on Linux and Windows (so on Windows with gdal 2.*) | can easily replicate a freeze after a few selections of the described features.

#17 - 2016-05-23 07:19 AM - Giovanni Manghi

- Status changed from Open to Feedback

Giovanni Manghi wrote:

Giovanni, can you reproduce this ?

on 2.14.3/master on Linux and Windows (so on Windows with gdal 2.*) | can easily replicate a freeze after a few selections of the described

features.

although | see now that is not a complete freeze: | left the program open several minutes and it recovered. | think that this can be closed.

#18 - 2016-05-23 07:29 AM - Sandro Santilli
- Status changed from Feedback to Closed

- Resolution set to fixed/implemented

closing
